<?php
/*

		
		ИНФОРМАЦИЯ:
			Магазин UTF-8 v1.5.0
			Автор: Fleynaro(faicraft)
			Сайт http://fleynaro.ru/
			Группа ВК: http://vk.com/fleynaro_prods
		
		ОГРАНИЧЕНИЯ:
			Запрещено использовать весь код или его части в сторонних скриптах без разрешения автора!
			Запрещено любым способом распространять данный PHP файл на других ресурсах, кроме Вашего проекта!
		
		ВНИМАНИЕ!
			Если данный файл не является конфигурационным, то при отсутствии у Вас знаний и навыков
			программирования на языке PHP любое Ваше здесь изменение может привести к нестабильной работе Личного Кабинета.
			Редактируйте данный код только при указании тех. поддержки, оказываемой автором данного скрипта!
		
		По любым вопросам обращайтесь к автору данного кода http://vk.com/fleynaro или в группу ВК http://vk.com/fleynaro_prods
		
	
*/
	
	/*
		Мультисерверный магазин блоков и предметов для проектов minecraft.
		Страница в ВК: https://vk.com/fleynaro
			
		Версия: v1.4.5 by Fleynaro
			
			
		В данном конфигурационном файле задаются настройки данного магазина. * - обязательные параметры.
	*/
	
	
	$cfg = array(
		
		/* ------ ( MYSQL настройки ) ------*/
		'db_host' 				=> 'localhost', //Хост вашей базы данных. *
		
		'db_name' 				=> 'lk', //Имя вашей базы данных. *
		
		'db_user' 				=> 'root', //Имя пользователя вашей базы данных. *
		
		'db_pass' 				=> '', //Пароль вашей базы данных. *
		
		'db_charset' 			=> 'utf8', //Кодировка вашей базы данных. *
		/* ------ ( MYSQL настройки ) ------*/
		
		
		
		
		
		/* ------ ( СОВМЕСТИМОСТЬ С ДВИЖКОМ ) ------ */
		//DLE
		'CMS'					=> 1, //Id cms
		'table_Users' 			=> 'dle_users', //Таблица с пользователями. *
		'column_Id' 			=> 'user_id', //Колонка с Id пользователей. *
		'column_Username' 		=> 'name', //Колонка с Логинами(Никнеймами) пользователей. *
		
		/*
			//DLE
			'CMS'					=> 1, 			//Id cms
			'table_Users' 			=> 'dle_users', //Таблица с пользователями. *
			'column_Id' 			=> 'user_id', 	//Колонка с Id пользователей. *
			'column_Username' 		=> 'name', 		//Колонка с Логинами(Никнеймами) пользователей. *
		
			//WebMCR
			'CMS'					=> 2, 			//Id cms
			'table_Users' 			=> 'accounts', 	//Таблица с пользователями. *
			'column_Id' 			=> 'id', 		//Колонка с Id пользователей. *
			'column_Username' 		=> 'login', 	//Колонка с Логинами(Никнеймами) пользователей. *
			
			
			//XenFORO
			'CMS'					=> 3, 			//Id cms
			'table_Users' 			=> 'xf_user', 	//Таблица с пользователями. *
			'column_Id' 			=> 'user_id', 	//Колонка с Id пользователей. *
			'column_Username' 		=> 'username', 	//Колонка с Логинами(Никнеймами) пользователей. *
			
			
			//WordPress
			'CMS'					=> 4, 				//Id cms
			'table_Users' 			=> 'wp_users', 		//Таблица с пользователями. *
			'column_Id' 			=> 'ID', 			//Колонка с Id пользователей. *
			'column_Username' 		=> 'user_login', 	//Колонка с Логинами(Никнеймами) пользователей. *
		*/
		
		
		//Доп. параметры
		'column_Usergroup' 		=> 'group', //Колонка с Группами пользователей.
		
		'column_Usermoney' 		=> 'money', //Колонка с Деньгами пользователей.
		
		'column_Usergroup_val' 	=> 1,	 //Укажите ID группы администраторов.
		
		/* ------ ( СОВМЕСТИМОСТЬ С ДВИЖКОМ  ) ------*/
		
		
		
		
		/* ------ ( SYSTEM ) ------*/
		
		/**** СЕРВЕРА. Можно добавить свои. ****/
		'server' => array(
			
			'all'			=> array(-1, false, 'db'=>false), //Это трогать не нужно.
			
			
			'Classic'		=>	array(
							
							1, 		//id магазина(сервера). Данный id указывается и в плагине ShopItems
							
							true, 	//Вкл/Выкл магазин
							
							//Подключение к БД(где есть таблицы permissions) того сервера, к которому относится данный магазин. Нужно например для того, чтобы продавать определнные вещи только определенным PEX группам. Для этого также необходимо внизу в блоке 'pex_groups' настроить порядок групп
							'db'	=>	array(
								
								//Вкл/Выкл
								'enable'=>	false,
								
								'host'	=> 'localhost',
								'name'	=> 'lk',
								'user'	=> 'root',
								'pass'	=> '',
								'char'	=> 'utf8', //cp1251 или utf8
								
								'uuid'	=>	true, //Вкл/Выкл uuid
								
								//Таблицы
								'tables'	=>	array('permissions_inheritance')
								
							)
			),
			
			'HiTech'		=>	array(
							
							2,
							
							true,
							
							//Подключение к БД(где есть таблицы permissions) того сервера, к которому относится данный магазин. Нужно например для того, чтобы продавать определнные вещи только определенным PEX группам. Для этого также необходимо внизу в блоке 'pex_groups' настроить порядок групп
							'db'	=>	array(
								
								//Вкл/Выкл
								'enable'=>	false,
								
								'host'	=> 'localhost',
								'name'	=> 'lk',
								'user'	=> 'root',
								'pass'	=> '',
								'char'	=> 'utf8', //cp1251 или utf8
								
								'uuid'	=>	true, //Вкл/Выкл uuid
								
								//Таблицы
								'tables'	=>	array('permissions_inheritance')
								
							)
			),
			
			'Magic RPG'		=>	array(
							
							3,
							
							true,
							
							//Подключение к БД(где есть таблицы permissions) того сервера, к которому относится данный магазин. Нужно например для того, чтобы продавать определённые вещи только определенным PEX группам. Для этого также необходимо внизу в блоке 'pex_groups' настроить порядок групп
							'db'	=>	array(
								
								//Вкл/Выкл
								'enable'=>	false,
								
								'host'	=> 'localhost',
								'name'	=> 'lk',
								'user'	=> 'root',
								'pass'	=> '',
								'char'	=> 'utf8', //cp1251 или utf8
								
								'uuid'	=>	true, //Вкл/Выкл uuid
								
								//Таблицы
								'tables'	=>	array('permissions_inheritance')
								
							)
			)
			
			//Можно добавить сервера, а можно удалить существующие... Длина названия магазина должна быть до 20 символов. Само название должно быть на англ.
		),
		
		//Pex группы в порядке возрастания их возможностей. Можно добавить еще или удалить существующие pex группы. Указывать точное имя группы как в permissions
		'pex_groups'	=> array(
			
			'default'	=>	0,
			'vip'		=>	1,
			'premium'	=>	2,
			'deluxe'	=> 	3
		),
		
		'uuid'			=>	array(
		
			//Генерировать стандартным методом. Если false, то будет брать UUID из колонки в таблице с пользователями или указанной внизу таблице
			'generate'	=>	true,
			//Черточки у UUID (true: 86a3fe83-9cc5-3b97-8309-e518da73e725  или  false: 86a3fe839cc53b978309e518da73e725)
			'underline'	=>	true,
			//Имя колонки UUID в    таблице с пользователями/указанной внизу таблице
			'column'	=>	'uuid',
			//Таблица
			'table'		=>	array(
				
				'enable'		=>	false,		// Вкл\Выкл взятие UUID из другой таблицы, а не из users(или dle_users, accounts и т.д)
				'tablename'		=>	'userUUID',	//Имя таблицы с UUID пользователей
				'c_username'	=>	'username',	//Имя колонки с никами/ID пользователей
				'byfind'		=>	'name'		//Искать UUID в таблице по нику(name) или ID(id)
			)
			
		),
		
		
		/**** Укажите данные вашей таблицы с блоками(Если используется стандартный плагин shopitems этого магазина, менять ничего не нужно) ****/
		'table_blocks' => array(
			
			'table'				=>	'GetItem', 			//Название таблицы
			
			'id'				=>	'id', 				//ID (AUTO_INCREMENT)
			
			'name'				=>	'nickname', 		//Колонка с именами игроков
			
			'server'			=> 	'server',			//Колонка с ID сервера
			
			'item_id'			=>	'item_id', 			//Колонка с ID блоков
			
			'amount'			=>	'item_amount', 		//Колонка с кол-вом блоков
			
			'enchants'			=> 	'enchants', 		//Колонка с чарами блоков.
			
			'displayName'		=>	'name'				//Колонка с именем предмета
		
		),
		
		
		/**** Настройки отображения магазина ****/
		'tpl' 					=> 'universal', //Шаблон ЛК. (Вы можете указать другой шаблон, например свой. Все шаблоны находятся в папке templates.)
		'charset'				=> 'utf-8',		//Кодировка. windows-1251 или utf-8
		
		'css_background'		=> true, 	//Сделать фон магазину. false - убрать фон магазина.
		
		'max_page_output_block'	=> 28, 	//Макс. кол-во блоков на страницу.
		'max_page_btns'			=> 6, 	//Макс. кол-во кнопок для перехода на другие страницы. Указывать четное кол-во.
		
		'cut_name_item'			=> 12,	//До скольки символов сокращать названия предметов в магазине. false - не сокращать.
		
		'shop_width'			=> 650, //Ширина магазина. Если магазин будет встраиваться в шаблон вашего сайта html тегом iframe, то укажите false.
		
		'shop_path'				=> '',//'/shop/',	//Если магазин будет инклюдиться, то укажите путь от файла где он будет инклюдиться. Например '/shop/', '/modules/shop/', '/web/mods/lol/hol/my/shop/'
		'shop_path_include'		=> '',//'/index.php?do=shop', 	//Место инклюда
		
		'sort_blocks'			=> 'id',		//Сортировка предметов в магазине по умлочанию. Весь список в массиве внизу.
		'sort_blocks_type'		=> array('ASC', 'DESC'), //Тип сортировки по умолчанию(который первый). ASC - по возрастающей, DESC - по убывающей. Например: Если в предыдущем параметре стоит значение 'price', а здесь 'DESC', то сначала будут самые дорогие предметы и так по убывающей.
		
		'sort_blocks_by'		=> array( //Как могут игроки сортировать предметы. Чтобы отключить возможность сортировки предметов простым игрокам, введите вместо 'name' значение false
										array('name', 		'имени'),
										array('block_id', 	'id блока'),
										array('price', 		'цене'),
										array('amount', 	'кол-ву'),
										array('discount', 	'скидке')
										//,array('cat', 		'категории')
									),
									
		'enchants_viem'			=> true,	//Отображать чары предмета							
		
		
		
		/**** Настройки магазина ****/
		//ОБЩИЕ НАСТРОЙКИ
		'blocks_basket_amount'	=>	64, 		//Макс. кол-во блоков в корзине (Требует 1 запрос к базе). //false - отключить проверку.
		'max_amount'			=> 	5, 			//Макс. кол-во предметов в корзину за раз.
		'changeServerItem'		=> 	false,		//Можно ли поменять сервер предмету. С версии магазина v1.4.5 параметр бесполезен, т.к сервер при покупке предмета выбирается автоматически
		
		'shop_cur'				=> 	array('RUB', 'руб', 'рублей', 'рубля', 'рубль', 'р'),	//Ваша валюта
		'shop_cur_price'		=> 	1, //Стоимость 1 единицы вашей валюты на проекте в реальных рублях
		
		
		//ПЕРЕИМЕНОВАНИЕ ПРЕДМЕТА
		'shop_rename_enabled'	=>	true,		//Включить переименование предмета
		'shop_rename_len'		=>	array(5,20),//Мин/Макс длина названия
		'shop_rename_price'		=>	30,			//Цена. 0 - бесплатно.
		
		//ПЕРЕДАЧА ПРЕДМЕТОВ МЕЖДУ ИГРОКАМИ
		'transmit_on'			=> true, 	//Включить систему передачи блоков между игроками.
		'transmit_pexgroup'		=> 2,		// Порядковый номер Pex группы в магазине, после которой можно передавать предметы другим игрокам. По умолчанию стоит 0, то есть группа default, а значит могут передавать предметы все игроки.
		'transmit_ddos'			=> 10,		// Защита от частых запросов. Сколько нужно прождать секунд до следующей отправки предмета. false - выключить(не ждать)
		
		
		//ВЫВОД БЛОКОВ СО СКИДКОЙ НА ГЛАВНУЮ
		'output_dis_block'		=> 5,			//Сколько выводить предметов со скидками на главную страницу магазина. false - выключить
		'dis_sidebar'			=> true,		//Включить вывод блока в sidebar
		'dis_sidebar_if'		=> 'discount > 0',	//Условие. По умолчанию: если есть скидка на блок(то есть discount(с англ. скидка) больше нуля) то именно этот блок выводится в sidebar. Если конкретный блок, то условие такое: id = {ID блока без скобок}
		
		//ПОИСК
		'search_on'				=> true, 		//Включить поиск по предметам в магазине.
		'search_max_output'		=> 7,			//Макс. кол-во выводимых предметов при поиске
		'search_name_len_max'	=> 30,			//Макс. кол-во символов в имени предмета
		
		//КАТЕГОРИИ
		'shop_cat'				=> array( //категории. можно добавить свои категории
										
										//		Имя				On/Off	 ID Сервера (-1 - все сервера)
										array('Разное', 		true,	-1), 	//0
										array('Блоки', 			true,	-1), 	//1
										array('Броня', 			true,	-1), 	//2
										array('Инструменты', 	true,	-1), 	//3
										array('Оружие', 		true,	-1), 	//4
										array('Еда', 			true,	-1), 	//5
										array('Семена', 		true,	-1), 	//6
										array('Зелья', 			true,	-1), 	//7
										array('Предметы бога', 	true,	-1),	//8
										array('Механизмы', 		true,	2),		//9 (для hitech)
										array('Магические вещи',true,	3)		//10 (для magic)
										
									),
		
		
		//ЗАЧАРОВАНИЕ
		'shop_enchant_enabled'	=> true, 			//Включить систему зачарования предметов в магазине.	
		'shop_enchant_pexgroup'	=> 0, 				//Порядковый номер Pex группы в магазине, после которой можно зачаровывать предметы. По умолчанию стоит 0, то есть группа default, а значит могут зачаровывать предметы все игроки.
		'shop_enchant_split'	=> array('_', 'e'),	//Конвертация чар предмета в базе данных. Например: 5e1_1e3_2e4, где `e` - разделитель между ID чара и уровнем, а `_` - разделитель между чарами. Менять параметр не нужно.
		'shop_enchant_reenchant'=> false, 			//Включить возможность перезачаровывать предмет без оплаты на уже существующие чары в данном предмете. (То есть например чел зачарил меч на прочность IV, а потом спустя 3 дня решил купить чар на остроту II. При этом старый чар на прочность IV остался и остался бесплатно(без переплачивания за перезачарование).)
		'shop_enchant'			=> array( 			//...ЧАРЫ...
										
										//		Имя чара  |	Категории  	|	Макс. урвень  |	Цена за 1 уровень |	ID чара
										//броня
										array('Прочность', 				array(8, 2, 3, 4), 		4, 	5,	32),
										array('Защита', 				array(8, 2), 			4, 	4,	0),
										array('Огнеупорность', 			array(8, 2), 			4, 	3,	1),
										array('Невесомость', 			array(8, 2), 			4, 	3,	2),
										array('Взрывоустойчивость', 	array(8, 2), 			4, 	2,	3),
										array('Снарядостойкость', 		array(8, 2), 			4, 	2,	4),
										array('Подводное дыхание', 		array(8, 2), 			3, 	5,	5),
										array('Подводник', 				array(8, 2), 			1, 	10,	6),
										array('Шипы', 					array(8, 2), 			3, 	7,	7),
										//оружие
										array('Острота', 				array(8, 4), 			4, 	5,	16),
										array('Небесная кара', 			array(8, 4), 			5, 	4,	17),
										array('Гибель насекомых', 		array(8, 4), 			5, 	3,	18),
										array('Отдача', 				array(8, 4), 			2, 	7,	19),
										array('Заговор огня', 			array(8, 4), 			2, 	8,	20),
										array('Добыча', 				array(8, 4), 			3, 	6,	21),
										array('Сила', 					array(8, 4), 			4, 	5,	48),
										array('Откидывание', 			array(8, 4), 			2, 	7,	49),
										array('Горящая стрела', 		array(8, 4), 			1, 	8,	50),
										array('Бесконечность', 			array(8, 4), 			1, 	10,	51),
										//инструменты
										array('Эффективность', 			array(8, 3), 			1, 	3,	32),
										array('Шёлковое касание', 		array(8, 3), 			1,  3,	33),
										array('Удача', 					array(8, 3), 			1, 	4,	35),
										//удочка
										array('Морская удача', 			array(8, 3), 			4, 	3,	61),
										array('Приманка', 				array(8, 3), 			4, 	3,	62)
								
									),		
		'shop_enchant_price'	=> 10, //коэффициент зависимости стоимости цены чара за 1 уровень от цены предмета в процентах.
		
		//СИСТЕМА ICONOMY
		'iConomy'				=>	array (//Покупка предметов за iConomy монеты
										
										'enable'	=>	false,		//Включить покупку за монеты iConomy
										'tablename'	=>	'iConomy', 	//Имя таблицы
										'db'	=>	array( //Подключение к базе данных. Если таблица находится там, где и магазин, то ставьте false ('db'	=>	false,)
											'host' 				=> 'localhost', //Хост вашей базы данных
											'name' 				=> 'lk', 		//Имя вашей базы данных
											'user' 				=> 'root', 		//Имя пользователя вашей базы данных										
											'pass' 				=> '', 			//Пароль вашей базы данных										
											'char' 				=> 'utf8' 		//Кодировка вашей базы данных
										),
										'price'		=>	50,	//Стоимость в монетах iConomy одной единицы валюты на проекте(рубли, например)
		),
		
		//СУНДУК С СЕКРЕТОМ
		'chest'					=>	array ( //Волшебный сунудк
		
										'enable'	=>	true,	//Включить систему волшебного сундука
										'time'		=>	24,		//Интервал получения в часах. По умолчанию - получать предметы можно через сутки. false - отключить открытие сундука бесплатно.
										'money'		=>	30,		//За сколько рублей можно открыть сундук	
										'items'		=>	array (
											
											//ID предмета(В магазине, а не в minecraft), кол-во, шанс получения в процентах (мин - 1%)
											array( 1, 32, 70 ),
											array( 96, 32, 80 ),
											array( 308, 16, 40 ),
											array( 98, 5, 25 ),
											array( 210, 5, 15 )
										
										)
		),
		
		
		/**** Платежная система ****/
		//Если вы собираетесь использовать платежную ситему в магазине, то вам необходимо настроить также конфигурационный файл payment/config.php
		'payment'				=>	1,						//Платежная ситема. 1 - InterKassa,  2 - UnitiPay,  3 - RoboKassa,   false - выключить
		'payment_path'			=> 'payment/payment.php',	//Путь к файлу payment.php
		'payment_cur'			=> '', 						//Укажите валюту (RUB|USD) или оставьте пустое поле
		'payment_desc'			=> 'payment!', 				//Описание
		'payment_method'		=> 'GET', 					//Метод отправки данных файлу payment.php: GET или POST
		'payment_params'		=> array( 					//GET запросы с индексами. Настраивать ничего не нужно
			
				array ( //INTERKASSA
					'sum' => 'ik_am',
					'desc' => 'ik_desc',
					'user' => 'ik_pm_no',
					'cur' => 'ik_cur'
				),
				
				array ( //UNITIPAY
					'sum' => 'up_sum',
					'desc' => 'up_desc',
					'user' => 'up_account',
					'cur' => 'up_currency'
				),
				
				array ( //ROBOKASSA
					'sum' => 'rk_OutSum',
					'desc' => 'rk_InvDesc',
					'user' => 'rk_shp_userid',
					'cur' => 'rk_OutSumCurrency'
				)
			
		),
		'payment_key'			=> 'web_shop_key', //Ключ. Необязательно, но можно указать свой, при этом ключ нужно указать и в payment/config.php
		
		
		
		
		/**** Лог система ****/
		'log_enable'			=> true,		//Включить лог систему
		'log_file'				=> 'log.txt',	//Файл, в который будет производиться запись логов.
		'log_max'				=> 100,			//Макс. размер в Кб. При достижении данного размера, лог система работать не будет.
		'log_clear'				=> true,		//Очищать лог-файл при достижении макс. размера
		
		
		
		
		/**** CRON ****/
		//CRON - автоматическое выполнение скрипта в указанном .php файле через указанный интервал времени. CRON помогает без вашего участия делать необходимые операции какждый раз через какой-либо промежуток времени.
		//Интервал указывать по самому минимальному значению в параметрах в часах. По умолчанию мин. значение - 24 ч, значит и ставить выполнение файла нужно на 24 часа.
		
		'cron_enable'			=> true,		//Включить крон. Вы также должны указать путь к cron файлу на хостинге
		'cron_basket_time'		=> 24, 			//Очищать корзины игроков автоматически через заданный в данном параметре интервал времени в часах. false - отключить
		'cron_history_time'		=> 24 * 3,		//Очищать историю купленных предметов игроков через заданный в данном параметре интервал времени в часах. false - отключить
		'cron_warehouse_time'	=> 24 * 5,		//Очищать склад купленных предметов игроков через заданный в данном параметре интервал времени в часах. false - отключить
		'cron_discount_time'	=> 24 * 3,		//Удалять скидки на предметах через заданный в данном параметре интервал времени в часах. false - отключить
		'cron_set_discount'		=> array(		//Автоматическая установка рандомных скидок на предметы
										'enable' => false,	//Включить ли данную систему?
										'min' => 10,		//Минимальная скидка в %
										'max' => 70,		//Максимальная скидка в %
										'time' => 24 * 3,	//Интервал смены скидок в часах
										'limit' => 5,		//Макс. кол-во предметов, на которые устанав. скидки
										'if' => '',			/*Условие(-я). Например:   	1) "`server` = 'HiTech'"			- только для предметов сервера HiTech
																						2) '`price` > 30'  					- скидки на предметы, цена которых более 30 рублей,
																						3) '`cat` = 1'   					- скидки на предметы, которые находятся в 1 категории, то есть в блоках,
																						4) '`cat` = 1 AND `price` > 30'   	- 2 и 3 условие вместе */
										'delete' => true	//Удалять все старые скидки при установке новых. В таком случае поставьте параметру cron_discount_time значение false
									),
									
		
		
		/**** ЧПУ ****/
		//ЧПУ - Человеку Понятный Урл. При включении данной функции, ссылки будут иметь более восприимчевый человеку вид. Например: было index.php?shop=HiTech&cat=1   стало shop_HiTech-cat_1 (При ЧПУ немного страдает оптимизация)
		'CPU_enable'			=> false,			//Включить ли ЧПУ в магазине? При включении ЧПУ необходимо в файле .htaccess присвоить параметру RewriteEngine значение on.
		'CPU_split'				=> array('/', '-'),	//Разделение GET параметров. Например: shop_HiTech-page_1-sort_4     Изменять параметр не нужно.
		
		
		
		/**** Защита от Мини DDOS (Ajax) ****/
		//Данная защита предназначена для предотвращения частопосылаемых запросов на сервер(например, частое добавление предметов в корзину с небольшим интервалом времени, буквально в долю секунды(2 - 5 запросов в сек.) и т.д).
		//Один минус такой защиты: Идет проверка последнего запроса пользователя с использованием файловой системы, что приводит к, сказать, тоже не маленькой нагрузки, поэтому используйте сессию, то есть оставьте как есть.
		'protectpost_path'		=> false, 	//Путь до файла(файл) или значение true(сессия). false - отключить систему защиты.
		'protectpost_time' 		=> 2, 		//Время ожидания после каждого запроса в сек.
		'protectpost_arr'		=> array('addBlockBasketID', 'SelectedBlock', 'transmitBlockId'), //Список имен запросов, после которых происходит задержка. array('all') - все запросы
		
		
		
		
		/**** Защита от CSRF атак ****/
		//CSRF - вид атак на посетителей веб-сайтов, использующий недостатки протокола HTTP(Почитайте в интернете).
		'protect_csrf'			=> true,	//Включить ли данную систему защиты. Используется сессия.
		'protect_csrf_key'		=> 'dEkf3FjT_fjRJFKk1_',	//Укажите здесь свой ключ(придумать и напечатать непонятный набор символов). Никому не говорить.
		
		
		
		
		/**** Защита от XSS инъекций ****/
		//XSS - тип атаки на веб-системы, заключающийся во внедрении в выдаваемую веб-системой страницу вредоносного кода. С помощью данной атаки, можно своровать сессию и зайти под любой аккаунт.
		'protect_xss'			=> true,	//Использовать ли фильтрацию приходящих GET и POST запросов для защиты от XSS инъекций.
		/* ------ ( SYSTEM ) ------*/
	);
	
	header("Content-type: text/html; charset=".$cfg['charset']);
?>