<?php
/*

		
		ИНФОРМАЦИЯ:
			Магазин UTF-8 v1.5.0
			Автор: Fleynaro(faicraft)
			Сайт http://fleynaro.ru/
			Группа ВК: http://vk.com/fleynaro_prods
		
		ОГРАНИЧЕНИЯ:
			Запрещено использовать весь код или его части в сторонних скриптах без разрешения автора!
			Запрещено любым способом распространять данный PHP файл на других ресурсах, кроме Вашего проекта!
		
		ВНИМАНИЕ!
			Если данный файл не является конфигурационным, то при отсутствии у Вас знаний и навыков
			программирования на языке PHP любое Ваше здесь изменение может привести к нестабильной работе Личного Кабинета.
			Редактируйте данный код только при указании тех. поддержки, оказываемой автором данного скрипта!
		
		По любым вопросам обращайтесь к автору данного кода http://vk.com/fleynaro или в группу ВК http://vk.com/fleynaro_prods
		
	
*/
	define ( 'ROOT_SHOP_DIR', dirname ( __FILE__ ) );
	
	//Загрузка .php файлов
	include(ROOT_SHOP_DIR . '/config.php');
	
	if ( $cfg['db_name'] == 'lk' && $cfg['db_user'] == 'root' && $cfg['db_pass'] == '' ) {
		die('<h3>Внимание! Необходима установка магазина. Сделайте это через файл магазина install.php (shop/install.php)</h3>');
	}
	if ( $cfg['CMS'] == 1 && $cfg['shop_path'] && $cfg['shop_path_include'] && !defined('DATALIFEENGINE') ) {
		die('Доступ запрещен.');
	}
	
	include(ROOT_SHOP_DIR . '/connect.php');
	include(ROOT_SHOP_DIR . '/functions.php');
	
	ob_start();
	$tpl = array();
	
	$tpl['content'] = '';
	$tpl['alert'] = '';
	$link = '';
	
	if ( isset($_GET['shop']) )
	{
		if ( isset($cfg['server'][$_GET['shop']]) && $cfg['server'][$_GET['shop']][1] || $_GET['shop'] == 'all' ) {
			
			if ( isset($_GET['id']) ) {
				
				$where = "`id` = ".$_REAL['id'];
			} else if ( isset($_GET['cat']) && is_numeric($_GET['cat']) && $_GET['cat'] >= 0 ) {
				
				$where = "`cat` = ".$_REAL['cat']." AND (`server` = ".$_REAL['shop']." or `server` = 'all')";
			} else if ( isset($_GET['kit']) ) {
				
				$where = "`dep` = ".$_REAL['kit']." AND (`server` = ".$_REAL['shop']." or `server` = 'all')";
			} else {
				
				$where = "`server` = ".$_REAL['shop']." or `server` = 'all'";
			}
			if ( !$user['user_group_admin'] ) {
				$where = "(" . $where . ") AND `visible` = 1";
			}
			
			/* Страницы */
			$pages_max = $db->query("SELECT COUNT(0) FROM `shop_blocks` WHERE (".$where.")")->fetchColumn();
			$page_last = floor($pages_max/$cfg['max_page_output_block']) + 1;
			$page_get = isset($_GET['page']) ? $_GET['page'] - 1 : 0;
			$page_id = is_numeric($page_get) && $page_get > 0 && $page_get < $page_last ? $page_get : 0;
			$page_max = $page_id * $cfg['max_page_output_block'];
			/* Страницы */
			$tpl['shop_name'] = $_GET['shop'];
			$tpl['item_count'] = $pages_max;
			
			$getcontent = 4;
			$tpl['blocks'] = '';
			if ( $user['user_group_admin'] && isset($_GET['all']) ) {
				$foreach = $db->query("SELECT * FROM `shop_blocks` WHERE (".$where.")")->fetchAll(PDO::FETCH_ASSOC);
				$page_last = 1;
			} else {
				$foreach = $db->query("SELECT * FROM `shop_blocks` WHERE `pexgroup` <= {$user['server'][$_GET['shop']]['pex_group']} AND (".$where.") ORDER BY `".((isset($_GET['sort']) && $_GET['sort'] > 0 && $_GET['sort'] < count($cfg['sort_blocks_by'])) ? $cfg['sort_blocks_by'][$_GET['sort'] - 1][0] : $cfg['sort_blocks'])."` ".(isset($_GET['sort_type']) && $_GET['sort_type'] ? $cfg['sort_blocks_type'][1] : $cfg['sort_blocks_type'][0])." LIMIT {$page_max}, {$cfg['max_page_output_block']}")->fetchAll(PDO::FETCH_ASSOC);
			}
			foreach ( $foreach as $row )
			{
				$enchants_desc = $row['enchants'] != '' ? getInfoEnchants($row['enchants']) : false;
				
				ob_start();
				include(ROOT_SHOP_DIR . '/templates/'.$cfg['tpl'].'/output.tpl');
				$tpl['blocks'] .= ob_get_clean();
			}	
				
		} else {
			die('Такого магазина не существует.');
		}
		
		$shop_id = $cfg['server'][$_GET['shop']][0];
		$get_shop = (isset($_GET['shop']) ? $_GET['shop'] : 'all');
		$get_sort = (isset($_GET['sort']) ? $_GET['sort'] : 0);
		$get_sort_type = (isset($_GET['sort_type']) ? $_GET['sort_type'] : 0);
		$get_cat = (isset($_GET['cat']) ? $_GET['cat'] : -1);
		
		$link_before = '';
		$link_after = '';
		
		$pages_btn = '';
		$tpl['pages'] = '';
		$tpl['sort'] = '';
		$tpl['cats'] = '';
			
		/* Страницы */
		if ( $page_last > 1 )
		{
			$link_before = '?shop='.$get_shop;
			
			if ( $get_cat != -1 ) $link_before .= '&cat='.$get_cat;
			if ( $get_sort ) $link_after .= '&sort='.$get_sort;
			if ( $get_sort_type ) $link_after .= '&sort_type='.$get_sort_type;
			
			for($i = 0; $i <= $cfg['max_page_btns']; ++$i) 
			{
				$page_id_i = $i + ($page_id - $cfg['max_page_btns'] / 2) + 1;
				if ( $page_id_i > 0 && $page_id_i <= $page_last ) 
					$pages_btn .= '<a href="'.$link_before.'&page='.$page_id_i.$link_after.'" class="shopitem-button'.($page_id == $page_id_i - 1 ? ' shopitem-button-selected' : '').'">'.$page_id_i.'</a> ';
			}
			
			$tpl['pages'] .= '
				<div align="center" class="shopitem-shop-pages">
					<a href="'.$link_before.'&page='.($page_id).$link_after.'" class="shopitem-button"><<</a>
					'.($page_id > $cfg['max_page_btns'] / 2 ? '<a href="'.$link_before.'&page=1'.$link_after.'" class="shopitem-button">1</a>' : '').'
					<span style="margin: 0px 10px 0px 10px;">'.$pages_btn.'</span>
					'.($page_id < $page_last - $cfg['max_page_btns'] / 2 - 1 ? '<a href="'.$link_before.'&page='.$page_last.$link_after.'" class="shopitem-button">'.$page_last.'</a>' : '').'
					<a href="'.$link_before.'&page='.($page_id + 2).$link_after.'" class="shopitem-button">>></a>
				</div>
			';
		}
		/* Страницы */
		
		
		if ( $cfg['sort_blocks_by'][0][0] )
		{
			$link_before = '?shop='.$get_shop;
			$link_after = '';
			
			if ( $get_cat != -1 ) $link_before .= '&cat='.$get_cat;
			if ( $page_id ) $link_before .= '&page='.$page_id;
			if ( $get_sort_type ) $link_after = '&sort_type='.$get_sort_type;
			
			for ( $i = 0, $Max = count($cfg['sort_blocks_by']); $i < $Max; $i ++ )
			{
				$tpl['sort'] .= 'по <a '.($get_sort - 1 != $i ? 'href="'.$link_before.'&sort='.($i + 1).$link_after.'"' : 'style="color: #CB6262"').'>'.$cfg['sort_blocks_by'][$i][1].'</a> | ';
			}
			
			$link_before .= '&sort='.$get_sort;
			$sort_type = array('ASC' => 'возрастающей', 'DESC' => 'убывающей');
			$tpl['sort'] .= ' по 	<a '.($get_sort_type ? 'href="'.$link_before.'&sort_type=0"' : 'style="color: #CB6262"').'>'.$sort_type[$cfg['sort_blocks_type'][0]].'</a>
									/
									<a '.(!$get_sort_type ? 'href="'.$link_before.'&sort_type=1"' : 'style="color: #CB6262"').'>'.$sort_type[$cfg['sort_blocks_type'][1]].'</a>';
		}
		
		if ( $cfg['shop_cat'][0][0] )
		{
			$link_before = '?shop='.$get_shop;
			$link_after = '';
			
			if ( $page_id ) $link_after .= '&page='.$page_id;
			if ( $get_sort ) $link_after .= '&sort='.$get_sort;
			if ( $get_sort_type ) $link_after .= '&sort_type='.$get_sort_type;
			
			$tpl['cats'] = '<option value="'.$link_before.'&cat=-1" '.($get_cat == -1 ? 'selected' : false).'>Все предметы</option>';
			for ( $i = 0, $Max = count($cfg['shop_cat']); $i < $Max; $i ++ )
			{
				if ( $cfg['shop_cat'][$i][1] && ($cfg['shop_cat'][$i][2] == -1 || $cfg['shop_cat'][$i][2] == $shop_id) )
					$tpl['cats'] .= '<option value="'.$link_before.'&cat='.$i.$link_after.'" '.($i == $get_cat ? 'selected' : false).'>'.$cfg['shop_cat'][$i][0].'</option>';
			}
		}
		
		if ( !$tpl['content'] )
		{
			ob_start();
			include(ROOT_SHOP_DIR . '/templates/'.$cfg['tpl'].'/option.tpl');
			$tpl['content'] = ob_get_clean();
		}
		
	}		
	else if ( isset($_GET['option']) ) 
	{
		$tpl_load = true;
		
		switch ( $_GET['option'] )
		{
			
			case 'warehouse': {
				
				$getcontent = 2;
				
				$username = isset($_GET['username']) && $user['user_group_admin'] ? $_REAL['username'] : "'".$user['name']."'";
				$tpl['blocks'] = '';
				$tpl['servers'] = '<option value="-1">Все сервера</option>';
				
				if ( $cfg['changeServerItem'] )
					foreach ( $cfg['server'] as $key=>$val )
						if ( $val[1] )
							$tpl['servers'] .= '<option value="'.$val[0].'">'.$key.'</option>';
				
				$serverid = 0;
				$foreach = $db->query("SELECT * FROM `{$cfg['table_blocks']['table']}` WHERE `{$cfg['table_blocks']['amount']}` > 0 AND `{$cfg['table_blocks']['name']}` = {$username} ORDER BY `{$cfg['table_blocks']['server']}`");
				foreach ( $foreach as $row ) {
					$row['item'] = explode(':', $row[$cfg['table_blocks']['item_id']]);
					$row['item'][1] = count($row['item']) == 2 ? (int) $row['item'][1] : 0;
					$block = $db->query("SELECT * FROM `shop_blocks` WHERE `block_id` = '{$row['item'][0]}' AND `block_n` = {$row['item'][1]}")->fetch(PDO::FETCH_ASSOC);
					
					if ( $serverid != $row['server'] ) {
						$serverid = $row['server'];
						$tpl['newserver'] = true;
					} else {
						$tpl['newserver'] = false;
					}
					
					ob_start();
					include(ROOT_SHOP_DIR . '/templates/'.$cfg['tpl'].'/output.tpl');
					$tpl['blocks'] .= ob_get_clean();
				}
				
				if ( !$tpl['blocks'] ) $tpl['blocks'] = '<h3 align="center">Склад пуст.</h3>';
				break;
				
			}
			
			case 'basket': {
			
				$only = 0;
				$user_id = isset($_GET['user_id']) && $user['user_group_admin'] ? $_REAL['user_id'] : "'".$user['id']."'";
				$getcontent = 1;
				$tpl['blocks'] = '';
				$tpl['count'] = 0;
				
				$foreach = $db->query("SELECT * FROM `shop_basket` WHERE `type` = 1 AND `user_id` = {$user_id} ORDER BY `id`");
				foreach ( $foreach as $row ) {
					$block = $db->query("SELECT * FROM `shop_blocks` WHERE `id` = '{$row['block_id']}'")->fetch(PDO::FETCH_ASSOC);
					
					$only += $row['amount'] * price($block['price'], $block['discount']);
					
					ob_start();
					include(ROOT_SHOP_DIR . '/templates/'.$cfg['tpl'].'/output.tpl');
					$tpl['blocks'] .= ob_get_clean();
					$tpl['count'] ++;
				}
				
				if ( !$tpl['count'] ) {
					$tpl['blocks'] = '<h3 align="center">Нет добавленных предметов.</h3>';
				}
				break;
				
			}
			
			case 'history': {
				
				$only = 0;
				$getcontent = 3;
				$user_id = isset($_GET['user_id']) && $user['user_group_admin'] ? $_REAL['user_id'] : "'".$user['id']."'";
				$tpl['basket_blocks'] = '';
				
				$foreach = $db->query("SELECT * FROM `shop_basket` WHERE `type` = 2 AND `user_id` = {$user_id} ORDER BY `date` DESC");
				foreach ( $foreach as $row ) {
					$block_query = $db->query("SELECT * FROM `shop_blocks` WHERE `id` = '{$row['block_id']}'");
					$block = $block_query->fetch(PDO::FETCH_ASSOC);
					
					$only += $row['amount'] * $block['price'];
					
					ob_start();
					include(ROOT_SHOP_DIR . '/templates/'.$cfg['tpl'].'/output.tpl');
					$tpl['basket_blocks'] .= ob_get_clean();
				}
				
				if ( !$tpl['basket_blocks'] ) $tpl['basket_blocks'] = '<h3 align="center">История ваших покупок пуста.</h3>';
				
				break;
				
			}
			
			case 'payment': {
				
				if ( !$cfg['payment'] ) die('Пополнение баланса невозможно.');
				break;
				
			}
			
			case 'chest': {
				
				if ( !$cfg['chest']['enable'] ) die('Функция отключена.');
				
				$tpl['time'] = ceil(($user['chest_time'] - time()) / 3600);
				
				$tpl['items'] = '';
				for ( $i = 0, $m = sizeof($cfg['chest']['items']); $i < $m; $i ++ ) {
					$info = $db->query("SELECT `id`, `server`, `block_id`, `block_n`, `name` FROM `shop_blocks` WHERE `id` = {$cfg['chest']['items'][$i][0]}")->fetch(PDO::FETCH_ASSOC);
					
					$tpl['items'] .= '
						<tr>
							<td width="70"><img src="'. toItemImageName($info['block_id'], $info['block_n'], $info['server']) .'.png" width="30" height="30"/></td>
							<td width="100">'.$info['server'].'</td>
							<td width="200"><a href="?shop='.$info['server'].'&id='.$info['id'].'" target="_blank">'. $info['name'] .'</a></td>
							<td width="100">'. $cfg['chest']['items'][$i][1] .' шт</td>
							<td width="100">'. $cfg['chest']['items'][$i][2] .'%</td>
						</tr>
					';
				}
				break;
				
			}
			
			case 'transmit': {
				
				if ( !$cfg['transmit_on'] ) die('Возможность подарить предмет отключена.');
				
				$tpl['username'] = isset($_GET['username']) ? $_GET['username'] : '';
				$tpl['block_id'] = $_GET['block_id'];
				
				if ( isset($_POST['giveblock']) && !isKeyCSRF($_POST['key']) )
				{
					if ( $cfg['transmit_ddos'] ) {
						$time = time();
						
						if ( isset( $_SESSION['shop_protect_ddos_time'] ) && $time - (int)$_SESSION['shop_protect_ddos_time'] < $cfg['transmit_ddos'] ) {
							die ( ' Подождите несколько секунд... ' );
						} else $_SESSION['shop_protect_ddos_time'] = $time;
					}
					
					$tpl['block_count'] = $_POST['block_count'];
					$tpl['username'] = $_POST['username'];
					$tpl['block_id'] = $_GET['block_id'];
					$block_id = (int)$tpl['block_id'];
					
					if ( _strlen($tpl['username']) < 30 && $tpl['username'] != $user['name'] && is_numeric($block_id) && is_numeric($tpl['block_count']) && $tpl['block_count'] > 0 )
					{
						$block = $db->query("SELECT * FROM `{$cfg['table_blocks']['table']}` WHERE `{$cfg['table_blocks']['name']}` = '{$user['name']}' AND `{$cfg['table_blocks']['id']}` = {$block_id}")->fetch(PDO::FETCH_ASSOC);
						
						$server = getServerById($block[$cfg['table_blocks']['server']]);
						
						if ( $server && $user['server'][$server]['pex_group'] >= $cfg['transmit_pexgroup'] ) {
							$count = $block[$cfg['table_blocks']['amount']];
							
							if ( $count >= $tpl['block_count'] && $user['name'] == $block[$cfg['table_blocks']['name']] ) {
								
								if ( $count - $tpl['block_count'] != 0 ) {
									
									$db->query("UPDATE `{$cfg['table_blocks']['table']}` SET `{$cfg['table_blocks']['amount']}` = {$cfg['table_blocks']['amount']} - {$tpl['block_count']} WHERE `{$cfg['table_blocks']['id']}` = {$block_id}");
								} else {
									
									$db->query("DELETE FROM `{$cfg['table_blocks']['table']}` WHERE `{$cfg['table_blocks']['id']}` = {$block_id}");
								}
								
								if ( $db->query("SELECT COUNT(0) FROM `{$cfg['table_blocks']['table']}` WHERE `{$cfg['table_blocks']['name']}` = {$_REAL['username']} AND {$cfg['table_blocks']['item_id']} = '{$block[$cfg['table_blocks']['item_id']]}'")->fetchColumn() )
									$db->query("UPDATE `{$cfg['table_blocks']['table']}` SET `{$cfg['table_blocks']['amount']}` = {$cfg['table_blocks']['amount']} + {$tpl['block_count']} WHERE `{$cfg['table_blocks']['name']}` = {$_REAL['username']} AND {$cfg['table_blocks']['item_id']} = '{$block[$cfg['table_blocks']['item_id']]}'");
								else $db->query("INSERT INTO `{$cfg['table_blocks']['table']}` VALUES (NULL, {$_REAL['username']}, '{$block[$cfg['table_blocks']['server']]}', '{$block[$cfg['table_blocks']['item_id']]}', {$tpl['block_count']}, '{$block[$cfg['table_blocks']['enchants']]}', {$block[$cfg['table_blocks']['displayName']]}, ". time() .")");
								
								$tpl['alert'] = 'Предмет ID:'.$tpl['block_id'].' успешно отправлен игроку <b>'.$tpl['username'].'</b> в кол-ве '.$tpl['block_count'].' шт.';
								logWrite('Игрок '.$user['name'].' подарил предмет ItemID '. $block[$cfg['table_blocks']['item_id']] .' игроку '. $tpl['username'] .' в кол-ве '. $tpl['block_count'] .' шт.');
							} else {
								$tpl['alert'] = 'У вас нет предметов.';
							}
						} else {
							$tpl['alert'] = 'Ошибка. У Вас нет прав на передачу предметов другим игрокам на сервере '. $server .'.';
						}
					} else {
						$tpl['alert'] = 'Неккоректно введены данные.';
					}
				}
				break;
				
			}
			
			case 'enchant': {
				
				if ( !$cfg['shop_enchant_enabled'] ) {
					die('У вас нет доступа к этой странице.');
				}
				
				$tpl['block_id'] = (int)$_GET['block_id'];
				
				$block = $db->query("SELECT * FROM `{$cfg['table_blocks']['table']}` WHERE `{$cfg['table_blocks']['name']}` = '{$user['name']}' AND `{$cfg['table_blocks']['id']}` = {$tpl['block_id']}")->fetch(PDO::FETCH_ASSOC);
				$server = getServerById($block[$cfg['table_blocks']['server']]);
				
				if ( !$block || $block[$cfg['table_blocks']['amount']] <= 0 || ($server && $user['server'][$server]['pex_group'] < $cfg['shop_enchant_pexgroup']) ) {
					die('Ошибка. Неверный ID блока или у Вас нет прав на зачаровывание предметов на сервере '. $server .'.');
				}
				
				
				$block['item_ids'] = explode(':', $block[$cfg['table_blocks']['item_id']]);
				$block_info = $db->query("SELECT `cat`,`price`,`server` FROM `shop_blocks` WHERE `block_id` = '".$block['item_ids'][0]."' AND `block_n` = ".(count($block['item_ids']) == 2 ? (int)$block['item_ids'][1] : 0))->fetch(PDO::FETCH_ASSOC);
				$tpl['itemImage'] = toItemImageName($block['item_ids'][0], count($block['item_ids']) == 2 ? (int)$block['item_ids'][1] : 0, $block_info['server']);
				$tpl['enchants'] = '';
				
				if ( !isset($_POST['enchantblock']) ) {
					$enchants = explode($cfg['shop_enchant_split'][0], $block[$cfg['table_blocks']['enchants']]);
					$tpl['count_enchants'] = 0;
					
					for ( $i = 0, $j = 0, $Max = count($cfg['shop_enchant']); $i < $Max; $i ++ )
					{
						for ( $k = 0, $Max2 = count($cfg['shop_enchant'][$i][1]); $k < $Max2; $k ++ )
						{
							if ( $cfg['shop_enchant'][$i][1][$k] == $block_info['cat'] )
							{
								$value = 0;
								
								for ( $l = 0, $Max3 = count($enchants); $l < $Max3; $l ++ )
								{
									$val = explode($cfg['shop_enchant_split'][1], $enchants[$l]);
									
									if ( $cfg['shop_enchant'][$i][4] == $val[0] && count($val) == 2 )
									{
										$value = (int)$val[1];
										break;
									}
								}
								
								$tpl['enchants'] .= '
									<tr>
										<td>'.$cfg['shop_enchant'][$i][0].' <span id="enchant-'.$tpl['count_enchants'].'"><b><span>0</span>/'.$cfg['shop_enchant'][$i][2].'</b> (<span>0</span> '.$cfg['shop_cur'][1].'.)</span></td>
										<td><input type="range" id="input-enchant-'.$tpl['count_enchants'].'" name="enchant['.$i.']" class="shopitem-enchant-range" onmousemove="SetPriceEnchant(document.getElementById(\'enchant-'.$tpl['count_enchants'].'\'), this, '.$tpl['count_enchants'] ++.', this.value, true);" min="0" max="'.$cfg['shop_enchant'][$i][2].'" value="'.$value.'" data-price="'.($block_info['price'] / 100 * $cfg['shop_enchant_price'] + $cfg['shop_enchant'][$i][3]).'"/></td>
									</tr>
								';
								
								break;
							}
						}	
					}
					
					if ( !$tpl['count_enchants'] ) die( ' Данный предмет не чаруется. ' );
				} else if ( !isKeyCSRF($_POST['key']) )
				{
					if ( $block && isset($_POST['enchant']) )
					{
						$enchants = '';
						$price = 0;
						if ( $cfg['shop_enchant_reenchant'] ) {
							$enchant_have = explode($cfg['shop_enchant_split'][0], $block[$cfg['table_blocks']['enchants']]);
						}
						
						foreach( $_POST['enchant'] as $key=>$val )
						{
							if ( is_numeric($key) && is_numeric($val) && $val > 0 && $val <= $cfg['shop_enchant'][$key][2] )
							{
								$lvl_have = 0;
								
								if ( $cfg['shop_enchant_reenchant'] && $enchant_have[0] )
								{
									for ( $i = 0, $Max = count($enchant_have); $i < $Max; $i ++ )
									{
										$val2 = explode($cfg['shop_enchant_split'][1], $enchant_have[$i]);
										
										if ( $cfg['shop_enchant'][$key][4] == $val2[0] )
										{
											$lvl_have = (int)$val2[1];
											break;
										}
									}
								}
								
								$enchants .= $cfg['shop_enchant'][$key][4] . $cfg['shop_enchant_split'][1] . $val . $cfg['shop_enchant_split'][0];
								$price += ($val - $lvl_have) * ($block_info['price'] / 100 * $cfg['shop_enchant_price'] + $cfg['shop_enchant'][$key][3]);
							}
						}
						
						if ( $price > 0 && $user['money'] >= $price )
						{
							giveMoney( $user['id'], $price );
							$enchants = chop($enchants, $cfg['shop_enchant_split'][0]);
							
							if ( $block[$cfg['table_blocks']['amount']] > 1 ) {
								$db->query("UPDATE `{$cfg['table_blocks']['table']}` SET `{$cfg['table_blocks']['amount']}` = {$cfg['table_blocks']['amount']} - 1 WHERE `id` = {$block[$cfg['table_blocks']['id']]}");
								$db->query("INSERT INTO `{$cfg['table_blocks']['table']}` VALUES(NULL, '{$user['name']}', ".$block[$cfg['table_blocks']['server']].", '".$block[$cfg['table_blocks']['item_id']]."', 1, '". $enchants ."', '".$block[$cfg['table_blocks']['name']]."', ".time().")");
							} else {
								$db->query("DELETE FROM `{$cfg['table_blocks']['table']}` WHERE `id` = {$block[$cfg['table_blocks']['id']]}");
								$db->query("INSERT INTO `{$cfg['table_blocks']['table']}` VALUES({$block[$cfg['table_blocks']['id']]}, '{$user['name']}', ".$block[$cfg['table_blocks']['server']].", '".$block[$cfg['table_blocks']['item_id']]."', 1, '". $enchants ."', '".$block[$cfg['table_blocks']['displayName']]."', ".time().")");
							}
							
							$tpl['alert'] = 'Предмет успешно зачарован за '.$price.' '.$cfg['shop_cur'][1].'! <a href="?option=warehouse">Вернуться на склад</a>.';
							logWrite('Игрок '.$user['name'].' зачаровал предмет ItemID '. $block[$cfg['table_blocks']['item_id']] .' на: ' . $enchants);
							
							$tpl_load = false;
							$tpl['content'] = ' ';
						} else {
							$tpl['alert'] = 'Не хватает денег для зачаровния.';
						}
					}
				}
				break;
				
			}
			
			case 'rename': {
				if ( !$cfg['shop_rename_enabled'] || !is_numeric($_GET['block_id']) ) {
					die('У вас нет доступа к этой странице.');
				}
				$tpl['block_id'] = (int)$_GET['block_id'];
				$tpl['block_info'] = $db->query("SELECT `{$cfg['table_blocks']['displayName']}`,`{$cfg['table_blocks']['item_id']}`,`{$cfg['table_blocks']['server']}` FROM `{$cfg['table_blocks']['table']}` WHERE `{$cfg['table_blocks']['name']}` = '{$user['name']}' AND `id` = {$tpl['block_id']}")->fetch(PDO::FETCH_ASSOC);
				$tpl['block_info']['dname'] = $tpl['block_info'][$cfg['table_blocks']['displayName']];
				
				$tpl['block_info']['itemID'] = explode(':', $tpl['block_info'][$cfg['table_blocks']['item_id']]);
				if ( count($tpl['block_info']['itemID']) == 2 ) {
					$tpl['block_info']['itemID'][1] = (int)$tpl['block_info']['itemID'][1];
				} else {
					$tpl['block_info']['itemID'][1] = 0;
				}
				$tpl['block_info']['image'] = toItemImageName($tpl['block_info']['itemID'][0], $tpl['block_info']['itemID'][1], $tpl['block_info'][$cfg['table_blocks']['server']], true);
				
				if ( $tpl['block_info'] ) {
					if ( isset($_POST['rename']) && !isKeyCSRF($_POST['key']) && $_POST['dname'] != $tpl['block_info']['dname'] ) {
						if ( $user['money'] >= $cfg['shop_rename_price'] ) {
							if ( preg_match('/^[a-zа-я0-9 \!\?\.\-]{'. $cfg['shop_rename_len'][0] .','. $cfg['shop_rename_len'][1] .'}$/ui', $_POST['dname']) ) {
								$db->query("UPDATE `{$cfg['table_blocks']['table']}` SET `{$cfg['table_blocks']['displayName']}` = {$_REAL['dname']} WHERE `id` = {$tpl['block_id']}");
								$tpl['block_info']['dname'] = $_POST['dname'];
								if ( $cfg['shop_rename_price'] ) {
									giveMoney($user['id'], -$cfg['shop_rename_price']);
									$tpl['alert'] = 'Предмет успешно переименован в <b>' . $_POST['dname'] . '</b> за '.$cfg['shop_rename_price'].' '.$cfg['shop_cur'][1].'.';
								} else {
									$tpl['alert'] = 'Предмет успешно переименован в <b>' . $_POST['dname'] . '</b>';
								}
							} else {
								$tpl['alert'] = 'Наименование либо слишком короткое, либо слишком длинное или содержит запрещенные символы.';
							}
						} else {
							$tpl['alert'] = 'Не хватает денег.';
						}
					}
				} else {
					die('ID указан некорректно.');
				}
				break;
			}
			
		}
		
		if ( $tpl_load == true ) {
			include(ROOT_SHOP_DIR . '/templates/'.$cfg['tpl'].'/option.tpl');
			$tpl['content'] = ob_get_clean();
		}
		
	} else if ( isset($_GET['admin']) && $user['user_group_admin'] )
	{
		
		switch ( $_GET['admin'] )
		{
			case 'addblock': {
			
				if ( isset($_POST['info']) ) {
					if ( isKeyCSRF($_POST['key']) ) die('Ошибка. Неверный ключ.');
					
					if ( isset($_POST['info']['pexgroup']) ) {
						$groupid = 0;
					} else {
						if ( is_numeric($_POST['info']['pexgroup']) ) {
							$groupid = $_POST['info']['pexgroup'];
						} else {
							$groupid = $cfg['pex_groups'][$_POST['info']['pexgroup']];
						}
					}
					
					$db->query("INSERT INTO `shop_blocks` VALUES (NULL, {$_REAL['info']['visible']}, {$groupid}, {$_REAL['info']['block_id']}, {$_REAL['info']['block_n']}, {$_REAL['info']['name']}, {$_REAL['info']['amount']}, {$_REAL['info']['price']}, {$_REAL['info']['discount']}, {$_REAL['info']['server']}, {$_REAL['info']['cat']}, {$_REAL['info']['dep']}, ".time().", {$_REAL['info']['desc']}, {$_REAL['info']['enchants']})");
					
					if ( isset($_FILES['icon']) && is_uploaded_file($_FILES['icon']['tmp_name']) )
					{
						if ( !file_exists(ROOT_SHOP_DIR . '/blocks/' . $_POST['info']['server']) ) {
							mkdir(ROOT_SHOP_DIR . '/blocks/' . $_POST['info']['server'], 0777);
						}
						$path = ROOT_SHOP_DIR . '/blocks/'. $_POST['info']['server'] .'/'.$_POST['info']['block_id'].( $_POST['info']['block_n'] ? '_' . $_POST['info']['block_n'] : '' ).'.png';
						if ( !move_uploaded_file($_FILES['icon']['tmp_name'], $path) ) {
							$tpl['alert'] .= '<b>Ошибка: невозможно переместить загруженную иконку в папку сервера.<br/>Путь: </b>'. $newPath .'<br/>';
						}
					}
					$tpl['info_block'] = $_POST['info'];
					$tpl['alert'] .= 'Предмет успешно добавлен! <a href="?shop='.($_POST['info']['server'] != 'all' ? $_POST['info']['server'] : getServerByN(1)).'" target="_blank">Посмотреть в магазине</a>';
					logWrite('Администратор '.$user['name'].' добавил предмет '.$_REAL['info']['name'].'(ID: '.$db->lastInsertId().') в магазин '.$_REAL['info']['server']);
				}
				
				$tpl['info_block']['servers'] = '';
				$tpl['info_block']['cats'] = '';
				
				foreach ( $cfg['server'] as $key=>$val )
				{
					if ( $val[1] )
						$tpl['info_block']['servers'] .= '<option value="'.$key.'" '.(isset($tpl['info_block']['server']) && $key == $tpl['info_block']['server'] ? 'selected' : false).'>'.$key.'</option>';
				}
				
				for ( $i = 0, $Max = count($cfg['shop_cat']); $i < $Max; $i ++ )
				{
					if ( $cfg['shop_cat'][$i][1] )
						$tpl['info_block']['cats'] .= '<option value="'.$i.'" '.(isset($tpl['info_block']['cat']) && $i == $tpl['info_block']['cat'] ? 'selected' : false).'>'.$cfg['shop_cat'][$i][0].' ['. ($cfg['shop_cat'][$i][2] != -1 ? getServerById($cfg['shop_cat'][$i][2]) : 'Все сервера') .']</option>';
				}
				break;
				
			}
			
			case 'editblock': {
				if ( !isset($_GET['id']) || $_GET['id'] == '' ) die('id не указано');
				
				$tpl['info_block'] = array();
				if ( strpos($_GET['id'], ",") !== false )
				{
					$ids = trim($_GET['id'], ",");
					$tpl['info_block'] = $db->query("SELECT `server`,`cat`,`visible` FROM `shop_blocks` WHERE `id` = " . substr($ids, 0, strpos($ids, ",")))->fetch(PDO::FETCH_ASSOC);
					$tpl['info_block']['id'] = "Множественное редактирование<br/>" . $ids;
					$tpl['info_block']['pexgroup'] = '';
					$tpl['info_block']['block_n'] = '';
					$tpl['info_block']['amount'] = '';
					$tpl['info_block']['discount'] = '';
					$tpl['info_block']['dep'] = '';
					
					if ( isset($_POST['info']) ) {
						if ( isKeyCSRF($_POST['key']) ) die('Ошибка. Неверный ключ.');
						$updateColumns = '';
						
						if ( isset($_POST['info']['pexgroup']) && $_POST['info']['pexgroup'] != '' ) {
							if ( is_numeric($_POST['info']['pexgroup']) ) {
								$_REAL['info']['pexgroup'] = $_POST['info']['pexgroup'];
							} else {
								$_REAL['info']['pexgroup'] = $cfg['pex_groups'][$_POST['info']['pexgroup']];
							}
						}
						foreach ( $_REAL['info'] as $key=>$val ) {
							if ( $val != "''" ) {
								$updateColumns .= $key . "=" . $val . ",";
							}
						}
						//$tpl['alert'] = "UPDATE `shop_blocks` SET ".substr($updateColumns, 0, -1)." WHERE `id` IN ({$ids})";
						$db->query("UPDATE `shop_blocks` SET ".substr($updateColumns, 0, -1)." WHERE `id` IN ({$ids})");
						$tpl['alert'] = 'Предметы успешно отредактированы!';
						logWrite('Администратор '.$user['name'].' отредактировал предметы ' . $ids);
					}
				} else {
					$tpl['info_block'] = $db->query("SELECT * FROM `shop_blocks` WHERE `id` = {$_REAL['id']}")->fetch(PDO::FETCH_ASSOC);
					if ( isset($_POST['info']) || isset($_POST['copy']) ) {
						if ( isKeyCSRF($_POST['key']) ) die('Ошибка. Неверный ключ.');
						
						if ( !isset($_POST['info']['pexgroup']) ) {
							$groupid = 0;
						} else {
							if ( is_numeric($_POST['info']['pexgroup']) ) {
								$groupid = $_POST['info']['pexgroup'];
							} else {
								$groupid = $cfg['pex_groups'][$_POST['info']['pexgroup']];
							}
						}
						
						if ( isset($_POST['copy']) ) {
							$db->query("INSERT INTO `shop_blocks` VALUES (NULL, {$_REAL['info']['visible']}, {$groupid}, {$_REAL['info']['block_id']}, {$_REAL['info']['block_n']}, {$_REAL['info']['name']}, {$_REAL['info']['amount']}, {$_REAL['info']['price']}, {$_REAL['info']['discount']}, {$_REAL['info']['server']}, {$_REAL['info']['cat']}, {$_REAL['info']['dep']}, ".time().", {$_REAL['info']['desc']}, {$_REAL['info']['enchants']})");
						} else {
							$db->query("UPDATE `shop_blocks` SET `visible` = {$_REAL['info']['visible']}, `pexgroup` = {$groupid}, `block_id` = {$_REAL['info']['block_id']}, `block_n` = {$_REAL['info']['block_n']}, `name` = {$_REAL['info']['name']}, `amount` = {$_REAL['info']['amount']}, `price` = {$_REAL['info']['price']}, `discount` = {$_REAL['info']['discount']}, `server` = {$_REAL['info']['server']}, `cat` = {$_REAL['info']['cat']}, `dep` = {$_REAL['info']['dep']}, `time_dis` = ".time().", `desc` = {$_REAL['info']['desc']}, `enchants` = {$_REAL['info']['enchants']} WHERE `id` = {$_REAL['id']}");
						}
						
						$pathFolder = ROOT_SHOP_DIR . '/blocks/' . $_POST['info']['server'] . '/';
						$oldPath = $pathFolder . $tpl['info_block']['block_id'] . ($tpl['info_block']['block_n'] ? '_' . $tpl['info_block']['block_n'] : '') . '.png';
						$newPath = $pathFolder . $_POST['info']['block_id'] . ( $_POST['info']['block_n'] ? '_' . $_POST['info']['block_n'] : '' ) . '.png';
						if ( !isset($_POST['copy']) ) {
							if ( $_POST['info']['block_id'] != $tpl['info_block']['block_id'] || $_POST['info']['block_n'] != $tpl['info_block']['block_n'] ) {
								if ( file_exists($oldPath) ) {
									rename($oldPath, $newPath);
								}
							}
						}
						if ( isset($_FILES['icon']) && is_uploaded_file($_FILES['icon']['tmp_name']) )
						{
							if ( !file_exists(ROOT_SHOP_DIR . '/blocks/' . $_POST['info']['server']) ) {
								mkdir(ROOT_SHOP_DIR . '/blocks/' . $_POST['info']['server'], 0777);
							}
							if ( !move_uploaded_file($_FILES['icon']['tmp_name'], $newPath) ) {
								$tpl['alert'] .= '<b>Ошибка: невозможно переместить загруженную иконку в папку сервера.<br/>Путь: </b>'. $newPath .'<br/>';
							}
						}
						$id = $tpl['info_block']['id'];
						$tpl['info_block'] = $_POST['info'];
						$tpl['info_block']['id'] = $id; unset($id);
						$tpl['alert'] .= 'Предмет успешно '.(isset($_POST['copy']) ? 'клонирован' : 'отредактирован').'! <a href="?shop='.($_POST['info']['server'] != 'all' ? $_POST['info']['server'] : getServerByN(1)).'" target="_blank">Посмотреть в магазине</a>';
						logWrite('Администратор '.$user['name'].' '.(isset($_POST['copy']) ? 'клонировал' : 'отредактировал').' предмет '.$_REAL['info']['name'].'(ID: '.$_REAL['id'].') в магазине '.$_REAL['info']['server']);
					}
				}
				$tpl['info_block']['servers'] = '';
				$tpl['info_block']['cats'] = '';
				
				foreach ( $cfg['server'] as $key=>$val )
				{
					if ( $val[1] )
						$tpl['info_block']['servers'] .= '<option value="'.$key.'" '.($key == $tpl['info_block']['server'] ? 'selected' : false).'>'.$key.'</option>';
				}
				
				for ( $i = 0, $Max = count($cfg['shop_cat']); $i < $Max; $i ++ )
				{
					if ( $cfg['shop_cat'][$i][1] )
						$tpl['info_block']['cats'] .= '<option value="'.$i.'" '.($i == $tpl['info_block']['cat'] ? 'selected' : false).'>'.$cfg['shop_cat'][$i][0].' ['. ($cfg['shop_cat'][$i][2] != -1 ? getServerById($cfg['shop_cat'][$i][2]) : 'Все сервера') .']</option>';
				}
				break;
				
			}
			
			case 'players': {
				
				if ( isset($_POST['search-player']) ) {
					$tpl['player_info'] = $db->query("SELECT * FROM `{$cfg['table_Users']}` WHERE `{$cfg['column_Username']}` = {$_REAL['search-player']}")->fetch(PDO::FETCH_ASSOC);
					
					if ( $tpl['player_info'][$cfg['column_Id']] ) $search_msg = true;
				}
				break;
				
			}
			
			case 'tables': {
				
				$tpl['count'] = $db->query("SELECT COUNT(0) FROM `shop_basket`")->fetchColumn();
				
				switch ( $tpl['count'] ) 
				{
					case $tpl['count'] < 100: $tpl['state'] = '<font color="23A236">Таблицу не нужно чистить.</font>'; break;
					case $tpl['count'] < 250: $tpl['state'] = '<font color="A29E23">Таблицу можно почистить.</font>'; break;
					case $tpl['count'] < 1000: $tpl['state'] = '<font color="A22E23">Таблицу нужно почистить.</font>'; break;
				}
				break;
				
			}
			
			case 'disrand': {
				
				if ( isset($_POST['key']) && isKeyCSRF($_POST['key']) ) die('Ошибка. Неверный ключ.');
				$tpl['servers'] = '';
				
				foreach ( $cfg['server'] as $key=>$val )
				{
					$tpl['servers'] .= '<option value="'.$key.'">'.$key.'</option>';
				}
				
				if ( isset($_POST['make']) && $_POST['method'] > 0 && $_POST['method'] <= 7 )
				{
					$a = $_POST['dis_max'] - $_POST['dis_min'];
					
					$sql = array(
						
						"ORDER BY RAND() LIMIT 5",
						"ORDER BY RAND() LIMIT 10",
						"ORDER BY RAND() LIMIT 30",
						
						"ORDER BY `price` DESC LIMIT 5",
						"ORDER BY `price` DESC LIMIT 10",
						"ORDER BY `price` DESC LIMIT 30",
						
						""
					);
					
					$db->query("UPDATE `shop_blocks` SET `discount` = (RAND() * 100 % ". $a ." + ". $_POST['dis_min'] ."), `time_dis` = ". (time() + (int)$_POST['days'] * 86400) ." WHERE (`server` = 'all' or `server` = " . $_REAL['server'] . ") " . $sql[$_POST['method'] - 1]);
					$tpl['alert'] = 'Скидки от ' . $_POST['dis_min'] . ' до ' . $_POST['dis_max'] . '% успешно установлены на предметы по следующему условию: server = ' . $_REAL['server'] . ' ' . $sql[$_POST['method'] - 1];
				}
				break;
				
			}
			
			case 'shops': {
				
				$tpl['shops'] = '';
				$tpl['info_block']['servers'] = '';
				
				foreach($cfg['server'] as $key=>$val) {
					$count_blocks = $db->query("SELECT COUNT(0) FROM `shop_blocks` WHERE `server` = '{$key}'")->fetchColumn();
					
					$tpl['shops'] .= '
						<div class="shopitem-shop-block-shops" href="index.php?shop='.$key.'">
							'.$val[0].') <img src="'.$cfg['shop_path'].'blocks/'.$key.'.png" width="20" height="20"/>
							<b>'.$key.'</b> ('.$count_blocks.' предмет.)
							<span class="shopitem-f_right">'.($cfg['server'][$key][1] ? '<font color="289733">Включен</font>' : '<font color="972828">Отключен</font>').'</span>
						</div>
					';
				}

				foreach ( $cfg['server'] as $key=>$val )
				{
					$tpl['info_block']['servers'] .= '<option value="'.$key.'" '.(isset($tpl['info_block']['server']) && $key == $tpl['info_block']['server'] ? 'selected' : false).'>'.$key.'</option>';
				}				
				break;
				
			}
			
		}
		
		include(ROOT_SHOP_DIR . '/templates/'.$cfg['tpl'].'/admin.tpl');
		$tpl['content'] = ob_get_clean();
			
	} else if ( !isset($_GET['shop']) )
	{
		$getcontent = 5;
		
		foreach($cfg['server'] as $key=>$val)
			if ( $val[1] )
			{
				ob_start();
				include(ROOT_SHOP_DIR . '/templates/'.$cfg['tpl'].'/output.tpl');
				$tpl['content'] .= ob_get_clean();
			}
		
		if ( $cfg['output_dis_block'] )
		{
			$getcontent = 4;
			
			$tpl['content'] .= '<div align="center"><h2>Распродажа! Покупайте, скидки не вечны!</h2>';
			
			$foreach = $db->query("SELECT * FROM `shop_blocks` WHERE `discount` > 0 ORDER BY RAND() LIMIT " . $cfg['output_dis_block']);
			foreach ( $foreach as $row ) {
				$enchants_desc = $row['enchants'] != '' ? getInfoEnchants($row['enchants']) : false;
				
				ob_start();
				include(ROOT_SHOP_DIR . '/templates/'.$cfg['tpl'].'/output.tpl');
				$tpl['content'] .= ob_get_clean();
			}
			
			$tpl['content'] .= '</div>';
		}
	}
	
	
	if ( $link ) header('Location: ' . $link);
	if ( !$tpl['content'] ) $tpl['content'] = 'Страница не найдена.';
		
	ob_start();
	include(ROOT_SHOP_DIR . '/templates/'.$cfg['tpl'].'/shop.tpl');
	$final_content = ob_get_clean();
	
	if ( $cfg['shop_path'] )
		$final_content = preg_replace('/\?(\w+)/i', $cfg['shop_path_include'] . '&\1', $final_content);
	
	if ( $cfg['CPU_enable'] )
		$final_content = preg_replace('/index\.php\?\w+=\w+/i', 'shopitem', preg_replace('/&(\w+)=(\w+)/i', $cfg['CPU_split'][0] . '\1'. $cfg['CPU_split'][1] .'\2', $final_content));
	
	
	echo $final_content;
?>