<?php
/*

		
		ИНФОРМАЦИЯ:
			Магазин UTF-8 v1.5.0
			Автор: Fleynaro(faicraft)
			Сайт http://fleynaro.ru/
			Группа ВК: http://vk.com/fleynaro_prods
		
		ОГРАНИЧЕНИЯ:
			Запрещено использовать весь код или его части в сторонних скриптах без разрешения автора!
			Запрещено любым способом распространять данный PHP файл на других ресурсах, кроме Вашего проекта!
		
		ВНИМАНИЕ!
			Если данный файл не является конфигурационным, то при отсутствии у Вас знаний и навыков
			программирования на языке PHP любое Ваше здесь изменение может привести к нестабильной работе Личного Кабинета.
			Редактируйте данный код только при указании тех. поддержки, оказываемой автором данного скрипта!
		
		По любым вопросам обращайтесь к автору данного кода http://vk.com/fleynaro или в группу ВК http://vk.com/fleynaro_prods
		
	
*/
	session_start();
	
	$db = new PDO('mysql:host='.$cfg['db_host'].';dbname='.$cfg['db_name'], $cfg['db_user'], $cfg['db_pass']);
	$db->query("SET NAMES '".$cfg['db_charset']."'");
	
	$session = -1;
	switch ( $cfg['CMS'] ) {
		
		//LK by Fleynaro
		case 0: {
			if ( isset($_SESSION['lk_user_id']) && $_SESSION['lk_user_id'] ) {
				$session = $_SESSION['lk_user_id'];
			}
			
			break;
		}
		
		//DLE
		case 1: {
			if ( isset($_SESSION['dle_user_id']) && $_SESSION['dle_user_id'] ) {
				$session = $_SESSION['dle_user_id'];
			}
			
			break;
		}
		
		//WebMCR
		case 2: {
			if ( isset($_SESSION['user_id']) && $_SESSION['user_id'] ) {
				$session = $_SESSION['user_id'];
			}
			
			break;
		}
		
		//XenFORO
		case 3: {
			$sth = $db->prepare("SELECT * FROM `xf_session` WHERE `session_id` = :key");
			$sth->bindParam(':key', $_COOKIE['xf_session'], PDO::PARAM_STR);				
			$sth->execute();
			$res = $sth->fetch(PDO::FETCH_ASSOC);
			
			if ( $res != false ) {
				$data = unserialize($res['session_data']);
				$session = $data['user_id'];
			}
			
			break;
		}
		
		//WordPress
		case 4: {
			$coockie = $_COOKIE['wordpress_logged_in_' . md5('http://' . $_SERVER['SERVER_NAME'])];
			
			if ( isset($coockie) ) {
				$arr = explode('|', $coockie);
				
				if ( (int)$arr[1] > time() ) {
					$sth = $db->prepare("SELECT `ID` FROM `{$cfg['table_Users']}` WHERE `user_login` = :name");
					$sth->bindParam(':name', $arr[0], PDO::PARAM_STR);				
					$sth->execute();
					$res = $sth->fetch(PDO::FETCH_ASSOC);
					$session = $res['ID'];
				}
			}
			
			break;
		}
	}
	
	if ( $session == -1 )
	{
		die('Необходима авторизация.');
	}
	
	$user_query = $db->query("SELECT * FROM `{$cfg['table_Users']}` WHERE `{$cfg['column_Id']}` = '{$session}' LIMIT 1");
	$user = $user_query->fetch(PDO::FETCH_ASSOC);
	
	$user['id'] = $user[$cfg['column_Id']];
	$user['name'] = $user[$cfg['column_Username']];
	$user['user_group'] = $user[$cfg['column_Usergroup']];
	$user['money'] = $user[$cfg['column_Usermoney']];
	
	if ( $user['user_group'] == $cfg['column_Usergroup_val'] ) {
		$user['user_group_admin'] = true;
	} else {
		$user['user_group_admin'] = false;
	}
	
	$user['server'] = array();
	foreach ( $cfg['server'] as $key=>$info )
	{
		if ( !$info[1] || !$info['db']['enable'] || !$info['db'] || $user['user_group_admin'] ) {
			$user['server'][$key]['pex_group'] = 100;
			continue;
		}
		
		$temp_db = new PDO('mysql:host='.$info['db']['host'].';dbname='.$info['db']['name'], $info['db']['user'], $info['db']['pass']);
		$temp_db->query("SET NAMES '".$info['db']['char']."'");
		
		$user['server'][$key] = array();
		
		$perm = $temp_db->query("SELECT `parent` FROM `{$info['db']['tables'][0]}` WHERE `child` = '". (!$info['db']['uuid'] ? $user['name'] : getUUID( $user['name'] )) ."' LIMIT 1")->fetch(PDO::FETCH_ASSOC);
		$user['server'][$key]['pex_group'] = isset($perm['parent']) ? $cfg['pex_groups'][$perm['parent']] : 0;
	}
	
	//Путь к магазину
	if ( $cfg['shop_path'] == 'auto' ) {
		$cfg['shop_path'] = str_replace('\\', '/', substr(ROOT_LK_DIR, strlen($_SERVER['DOCUMENT_ROOT']) + 1)) . '/';
		if ( $cfg['shop_path'] == '/' ) {
			$cfg['shop_path'] = '';
		}
	}
	
	if ( $cfg['protect_xss'] )
	{
		foreach($_POST as $key=>$val)
		{
			if ( !is_array($val) )
				$_POST[$key] = strip_tags($val);
			else
				foreach ( $val as $key2=>$val2 )
					$_POST[$key][$key2] = strip_tags($val2);
		}
		
		foreach($_GET as $key=>$val)
		{
			$_GET[$key] = strip_tags($val);
		}
	}
	
	
	foreach($_REQUEST as $key=>$val)
			if ( !is_array($val) ) $_REAL[$key] = $db->quote($val);
			else foreach ( $val as $key2=>$val2 ) $_REAL[$key][$key2] = $db->quote($val2);
	
	
	if ( $cfg['protect_csrf'] )
	{
		if ( !isset($_SESSION['shop_csrf_key']) )
			$_SESSION['shop_csrf_key'] = md5($_SERVER['REMOTE_ADDR'] . rand(-100000, 100000) . time() . $cfg['protect_csrf_key']);
		
		$user['csrf_key'] = $_SESSION['shop_csrf_key'];
	}
	
	
	
	
	function getUUID( $name )
	{
		global $db, $cfg, $user;
		
		if ( !$cfg['uuid']['table']['enable'] ) {
			$uuid = $cfg['uuid']['generate'] ? uuidFromString("OfflinePlayer:" . $name) : $user[$cfg['uuid']['column']];
		} else {
			$sth = $db->prepare("SELECT `{$cfg['uuid']['column']}` FROM `{$cfg['uuid']['table']['tablename']}` WHERE `{$cfg['uuid']['table']['c_username']}` = :name");
			$sth->bindParam(':name', $user[$cfg['uuid']['table']['byfind']], PDO::PARAM_STR);						
			$sth->execute();
			$data = $sth->fetch(PDO::FETCH_ASSOC);
			$uuid = $data[$cfg['uuid']['column']];
		}
		
		if ( $cfg['uuid']['underline'] ) {
			return $uuid;
		} else {
			return str_replace('-', '', $uuid);
		}
	}
	
	function uuidFromString($string)
	{
		$val = md5($string, true);
		$byte = array_values(unpack('C16', $val));
	 
		$tLo = ($byte[0] << 24) | ($byte[1] << 16) | ($byte[2] << 8) | $byte[3];
		$tMi = ($byte[4] << 8) | $byte[5];
		$tHi = ($byte[6] << 8) | $byte[7];
		$csLo = $byte[9];
		$csHi = $byte[8] & 0x3f | (1 << 7);
	 
		if (pack('L', 0x6162797A) == pack('N', 0x6162797A)) {
			$tLo = (($tLo & 0x000000ff) << 24) | (($tLo & 0x0000ff00) << 8) | (($tLo & 0x00ff0000) >> 8) | (($tLo & 0xff000000) >> 24);
			$tMi = (($tMi & 0x00ff) << 8) | (($tMi & 0xff00) >> 8);
			$tHi = (($tHi & 0x00ff) << 8) | (($tHi & 0xff00) >> 8);
		}
	 
		$tHi &= 0x0fff;
		$tHi |= (3 << 12);
	   
		$uuid = sprintf(
			'%08x-%04x-%04x-%02x%02x-%02x%02x%02x%02x%02x%02x',
			$tLo, $tMi, $tHi, $csHi, $csLo,
			$byte[10], $byte[11], $byte[12], $byte[13], $byte[14], $byte[15]
		);
		return $uuid;
	}
?>