<?php
/*

		
		ИНФОРМАЦИЯ:
			Магазин UTF-8 v1.5.0
			Автор: Fleynaro(faicraft)
			Сайт http://fleynaro.ru/
			Группа ВК: http://vk.com/fleynaro_prods
		
		ОГРАНИЧЕНИЯ:
			Запрещено использовать весь код или его части в сторонних скриптах без разрешения автора!
			Запрещено любым способом распространять данный PHP файл на других ресурсах, кроме Вашего проекта!
		
		ВНИМАНИЕ!
			Если данный файл не является конфигурационным, то при отсутствии у Вас знаний и навыков
			программирования на языке PHP любое Ваше здесь изменение может привести к нестабильной работе Личного Кабинета.
			Редактируйте данный код только при указании тех. поддержки, оказываемой автором данного скрипта!
		
		По любым вопросам обращайтесь к автору данного кода http://vk.com/fleynaro или в группу ВК http://vk.com/fleynaro_prods
		
	
*/
	define ( 'ROOT_SHOP_DIR', dirname ( __FILE__ ) );
	
	include(ROOT_SHOP_DIR . '/config.php');
	$step_install = isset($_GET['step']) && $_GET['step'] > 0 ? $_GET['step'] : 1;
	
	$cfg['version'] = 'v1.5.0';
	$cfg['version_type'] = true;
?>


<div class="body">
	<?php if ( $step_install == 1 ) { ?>
		
		<h3 class="head">Добро пожаловать в установку веб-магазина для Minecraft проектов!</h3>
			
		<div class="block-main">
			Привет, владелец проекта <i><?php echo $_SERVER['SERVER_NAME']?></i>! Вас приветствует мастер установки <b>веб-магазина Minecraft <?php echo $cfg['version']?></b>. Сейчас мы установим необоходимые параметры для работы данного магазина.
			<p>Перед установкой, установите на php файлы магазина права 777, которые находятся в корневой папке.</p>
			<br/><br/>Для установки нажмите <b>далее</b>.
			
			<p align="right"><a href="?step=<?php echo ($step_install + 1)?>">Далее</a></p>
		</div>
	
	<?php } else if ( $step_install == 2 ) {
			if ( isset($_POST['install']) )
			{
				$set_engine = array(
					
					array('DLE', 			'dle_user_id', 	1, 	'hash_dle', 		'dle_users', 	'user_id', 	'name', 				'group', 'money', 1),
					array('WebMCR', 		'user_id', 		2, 	'hash_webmcr', 		'accounts', 	'id', 		'login', 				'group', 'money', 3),
					array('XenForo', 		'', 			3, 	'hash_xf', 			'xf_user', 		'user_id', 	'username', 			'group', 'money', 1),
					array('WordPress', 		'', 			4, 	'hash_wp', 			'wp_users', 	'ID', 		'user_login', 			'group', 'money', 1)
					
				);
				
				
				$config = "<?php
				/*
		Мультисерверный магазин блоков и предметов для проектов minecraft.
		Страница в ВК: https://vk.com/fleynaro
			
		Версия: v1.5.0 by Fleynaro
			
			
		В данном конфигурационном файле задаются настройки данного магазина. * - обязательные параметры.
	*/
				
				\$cfg = array(
		
		/* ------ ( MYSQL настройки ) ------*/
		'db_host' 				=> '".$_POST['cfg']['db_host']."', //Хост вашей базы данных. *
		
		'db_name' 				=> '".$_POST['cfg']['db_name']."', //Имя вашей базы данных. *
		
		'db_user' 				=> '".$_POST['cfg']['db_user']."', //Имя пользователя вашей базы данных. *
		
		'db_pass' 				=> '".$_POST['cfg']['db_pass']."', //Пароль вашей базы данных. *
		
		'db_charset' 			=> '".$_POST['cfg']['db_charset']."', //Кодировка вашей базы данных. *
		/* ------ ( MYSQL настройки ) ------*/
		
		
		
		
		
		/* ------ ( СОВМЕСТИМОСТЬ С ДВИЖКОМ ) ------ */
		//". $set_engine[$_POST['cfg']['engine']][0] ."
		'CMS'					=> ". $set_engine[$_POST['cfg']['engine']][2] .", //Id cms
		'table_Users' 			=> '". $set_engine[$_POST['cfg']['engine']][4] ."', //Таблица с пользователями. *
		'column_Id' 			=> '". $set_engine[$_POST['cfg']['engine']][5] ."', //Колонка с Id пользователей. *
		'column_Username' 		=> '". $set_engine[$_POST['cfg']['engine']][6] ."', //Колонка с Логинами(Никнеймами) пользователей. *
		
		/*
			//DLE
			'CMS'					=> 1, 			//Id cms
			'table_Users' 			=> 'dle_users', //Таблица с пользователями. *
			'column_Id' 			=> 'user_id', 	//Колонка с Id пользователей. *
			'column_Username' 		=> 'name', 		//Колонка с Логинами(Никнеймами) пользователей. *
		
			//WebMCR
			'CMS'					=> 2, 			//Id cms
			'table_Users' 			=> 'accounts', 	//Таблица с пользователями. *
			'column_Id' 			=> 'id', 		//Колонка с Id пользователей. *
			'column_Username' 		=> 'login', 	//Колонка с Логинами(Никнеймами) пользователей. *
			
			
			//XenFORO
			'CMS'					=> 3, 			//Id cms
			'table_Users' 			=> 'xf_user', 	//Таблица с пользователями. *
			'column_Id' 			=> 'user_id', 	//Колонка с Id пользователей. *
			'column_Username' 		=> 'username', 	//Колонка с Логинами(Никнеймами) пользователей. *
			
			
			//WordPress
			'CMS'					=> 4, 				//Id cms
			'table_Users' 			=> 'wp_users', 		//Таблица с пользователями. *
			'column_Id' 			=> 'ID', 			//Колонка с Id пользователей. *
			'column_Username' 		=> 'user_login', 	//Колонка с Логинами(Никнеймами) пользователей. *
		*/
		
		
		//Доп. параметры
		'column_Usergroup' 		=> '". $set_engine[$_POST['cfg']['engine']][7] ."', //Колонка с Группами пользователей.
		
		'column_Usermoney' 		=> '". $set_engine[$_POST['cfg']['engine']][8] ."', //Колонка с Деньгами пользователей.
		
		'column_Usergroup_val' 	=> ". $set_engine[$_POST['cfg']['engine']][9] .",	 //Укажите ID группы администраторов.
		
		/* ------ ( СОВМЕСТИМОСТЬ С ДВИЖКОМ  ) ------*/
		
		
		
		
		/* ------ ( SYSTEM ) ------*/
		
		/**** СЕРВЕРА. Можно добавить свои. ****/
		'server' => array(
			
			'all'			=> array(-1, false, 'db'=>false), //Это трогать не нужно.
			
			
			'Classic'		=>	array(
							
							1, 		//id магазина(сервера). Данный id указывается и в плагине ShopItems
							
							true, 	//Вкл/Выкл магазин
							
							//Подключение к БД(где есть таблицы permissions) того сервера, к которому относится данный магазин. Нужно например для того, чтобы продавать определнные вещи только определенным PEX группам. Для этого также необходимо внизу в блоке 'pex_groups' настроить порядок групп
							'db'	=>	array(
								
								//Вкл/Выкл
								'enable'=>	false,
								
								'host'	=> 'localhost',
								'name'	=> 'lk',
								'user'	=> 'root',
								'pass'	=> '',
								'char'	=> 'utf8', //cp1251 или utf8
								
								'uuid'	=>	true, //Вкл/Выкл uuid
								
								//Таблицы
								'tables'	=>	array('permissions_inheritance')
								
							)
			),
			
			'HiTech'		=>	array(
							
							2,
							
							true,
							
							//Подключение к БД(где есть таблицы permissions) того сервера, к которому относится данный магазин. Нужно например для того, чтобы продавать определнные вещи только определенным PEX группам. Для этого также необходимо внизу в блоке 'pex_groups' настроить порядок групп
							'db'	=>	array(
								
								//Вкл/Выкл
								'enable'=>	false,
								
								'host'	=> 'localhost',
								'name'	=> 'lk',
								'user'	=> 'root',
								'pass'	=> '',
								'char'	=> 'utf8', //cp1251 или utf8
								
								'uuid'	=>	true, //Вкл/Выкл uuid
								
								//Таблицы
								'tables'	=>	array('permissions_inheritance')
								
							)
			),
			
			'Magic RPG'		=>	array(
							
							3,
							
							true,
							
							//Подключение к БД(где есть таблицы permissions) того сервера, к которому относится данный магазин. Нужно например для того, чтобы продавать определённые вещи только определенным PEX группам. Для этого также необходимо внизу в блоке 'pex_groups' настроить порядок групп
							'db'	=>	array(
								
								//Вкл/Выкл
								'enable'=>	false,
								
								'host'	=> 'localhost',
								'name'	=> 'lk',
								'user'	=> 'root',
								'pass'	=> '',
								'char'	=> 'utf8', //cp1251 или utf8
								
								'uuid'	=>	true, //Вкл/Выкл uuid
								
								//Таблицы
								'tables'	=>	array('permissions_inheritance')
								
							)
			)
			
			//Можно добавить сервера, а можно удалить существующие... Длина названия магазина должна быть до 20 символов. Само название должно быть на англ.
		),
		
		//Pex группы в порядке возрастания их возможностей. Можно добавить еще или удалить существующие pex группы. Указывать точное имя группы как в permissions
		'pex_groups'	=> array(
			
			'default'	=>	0,
			'vip'		=>	1,
			'premium'	=>	2,
			'deluxe'	=> 	3
		),
		
		'uuid'			=>	array(
		
			//Генерировать стандартным методом. Если false, то будет брать UUID из колонки в таблице с пользователями или указанной внизу таблице
			'generate'	=>	true,
			//Черточки у UUID (true: 86a3fe83-9cc5-3b97-8309-e518da73e725  или  false: 86a3fe839cc53b978309e518da73e725)
			'underline'	=>	true,
			//Имя колонки UUID в    таблице с пользователями/указанной внизу таблице
			'column'	=>	'uuid',
			//Таблица
			'table'		=>	array(
				
				'enable'		=>	false,		// Вкл\Выкл взятие UUID из другой таблицы, а не из users(или dle_users, accounts и т.д)
				'tablename'		=>	'userUUID',	//Имя таблицы с UUID пользователей
				'c_username'	=>	'username',	//Имя колонки с никами/ID пользователей
				'byfind'		=>	'name'		//Искать UUID в таблице по нику(name) или ID(id)
			)
			
		),
		
		
		/**** Укажите данные вашей таблицы с блоками(Если используется стандартный плагин shopitems этого магазина, менять ничего не нужно) ****/
		'table_blocks' => array(
			
			'table'				=>	'GetItem', 			//Название таблицы
			
			'id'				=>	'id', 				//ID (AUTO_INCREMENT)
			
			'name'				=>	'nickname', 		//Колонка с именами игроков
			
			'server'			=> 	'server',			//Колонка с ID сервера
			
			'item_id'			=>	'item_id', 			//Колонка с ID блоков
			
			'amount'			=>	'item_amount', 		//Колонка с кол-вом блоков
			
			'enchants'			=> 	'enchants', 		//Колонка с чарами блоков.
			
			'displayName'		=>	'name'				//Колонка с именем предмета
		
		),
		
		
		/**** Настройки отображения магазина ****/
		'tpl' 					=> 'universal', //Шаблон ЛК. (Вы можете указать другой шаблон, например свой. Все шаблоны находятся в папке templates.)
		'charset'				=> 'utf-8',		//Кодировка. windows-1251 или utf-8
		
		'css_background'		=> true, 	//Сделать фон магазину. false - убрать фон магазина.
		
		'max_page_output_block'	=> 28, 	//Макс. кол-во блоков на страницу.
		'max_page_btns'			=> 6, 	//Макс. кол-во кнопок для перехода на другие страницы. Указывать четное кол-во.
		
		'cut_name_item'			=> 12,	//До скольки символов сокращать названия предметов в магазине. false - не сокращать.
		
		'shop_width'			=> 650, //Ширина магазина. Если магазин будет встраиваться в шаблон вашего сайта html тегом iframe, то укажите false.
		
		'shop_path'				=> '',//'/shop/',	//Если магазин будет инклюдиться, то укажите путь от файла где он будет инклюдиться. Например '/shop/', '/modules/shop/', '/web/mods/lol/hol/my/shop/'
		'shop_path_include'		=> '',//'/index.php?do=shop', 	//Место инклюда
		
		'sort_blocks'			=> 'id',		//Сортировка предметов в магазине по умлочанию. Весь список в массиве внизу.
		'sort_blocks_type'		=> array('ASC', 'DESC'), //Тип сортировки по умолчанию(который первый). ASC - по возрастающей, DESC - по убывающей. Например: Если в предыдущем параметре стоит значение 'price', а здесь 'DESC', то сначала будут самые дорогие предметы и так по убывающей.
		
		'sort_blocks_by'		=> array( //Как могут игроки сортировать предметы. Чтобы отключить возможность сортировки предметов простым игрокам, введите вместо 'name' значение false
										array('name', 		'имени'),
										array('block_id', 	'id блока'),
										array('price', 		'цене'),
										array('amount', 	'кол-ву'),
										array('discount', 	'скидке')
										//,array('cat', 		'категории')
									),
									
		'enchants_viem'			=> true,	//Отображать чары предмета							
		
		
		
		/**** Настройки магазина ****/
		//ОБЩИЕ НАСТРОЙКИ
		'blocks_basket_amount'	=>	64, 		//Макс. кол-во блоков в корзине (Требует 1 запрос к базе). //false - отключить проверку.
		'max_amount'			=> 	5, 			//Макс. кол-во предметов в корзину за раз.
		'changeServerItem'		=> 	false,		//Можно ли поменять сервер предмету. С версии магазина v1.4.5 параметр бесполезен, т.к сервер при покупке предмета выбирается автоматически
		
		'shop_cur'				=> 	array('RUB', 'руб', 'рублей', 'рубля', 'рубль', 'р'),	//Ваша валюта
		'shop_cur_price'		=> 	1, //Стоимость 1 единицы вашей валюты на проекте в реальных рублях
		
		
		//ПЕРЕИМЕНОВАНИЕ ПРЕДМЕТА
		'shop_rename_enabled'	=>	true,		//Включить переименование предмета
		'shop_rename_len'		=>	array(5,20),//Мин/Макс длина названия
		'shop_rename_price'		=>	30,			//Цена. 0 - бесплатно.
		
		//ПЕРЕДАЧА ПРЕДМЕТОВ МЕЖДУ ИГРОКАМИ
		'transmit_on'			=> true, 	//Включить систему передачи блоков между игроками.
		'transmit_pexgroup'		=> 2,		// Порядковый номер Pex группы в магазине, после которой можно передавать предметы другим игрокам. По умолчанию стоит 0, то есть группа default, а значит могут передавать предметы все игроки.
		'transmit_ddos'			=> 10,		// Защита от частых запросов. Сколько нужно прождать секунд до следующей отправки предмета. false - выключить(не ждать)
		
		
		//ВЫВОД БЛОКОВ СО СКИДКОЙ НА ГЛАВНУЮ
		'output_dis_block'		=> 5,			//Сколько выводить предметов со скидками на главную страницу магазина. false - выключить
		'dis_sidebar'			=> true,		//Включить вывод блока в sidebar
		'dis_sidebar_if'		=> 'discount > 0',	//Условие. По умолчанию: если есть скидка на блок(то есть discount(с англ. скидка) больше нуля) то именно этот блок выводится в sidebar. Если конкретный блок, то условие такое: id = {ID блока без скобок}
		
		//ПОИСК
		'search_on'				=> true, 		//Включить поиск по предметам в магазине.
		'search_max_output'		=> 7,			//Макс. кол-во выводимых предметов при поиске
		'search_name_len_max'	=> 30,			//Макс. кол-во символов в имени предмета
		
		//КАТЕГОРИИ
		'shop_cat'				=> array( //категории. можно добавить свои категории
										
										//		Имя				On/Off	 ID Сервера (-1 - все сервера)
										array('Разное', 		true,	-1), 	//0
										array('Блоки', 			true,	-1), 	//1
										array('Броня', 			true,	-1), 	//2
										array('Инструменты', 	true,	-1), 	//3
										array('Оружие', 		true,	-1), 	//4
										array('Еда', 			true,	-1), 	//5
										array('Семена', 		true,	-1), 	//6
										array('Зелья', 			true,	-1), 	//7
										array('Предметы бога', 	true,	-1),	//8
										array('Механизмы', 		true,	2),		//9 (для hitech)
										array('Магические вещи',true,	3)		//10 (для magic)
										
									),
		
		
		//ЗАЧАРОВАНИЕ
		'shop_enchant_enabled'	=> true, 			//Включить систему зачарования предметов в магазине.	
		'shop_enchant_pexgroup'	=> 0, 				//Порядковый номер Pex группы в магазине, после которой можно зачаровывать предметы. По умолчанию стоит 0, то есть группа default, а значит могут зачаровывать предметы все игроки.
		'shop_enchant_split'	=> array('_', 'e'),	//Конвертация чар предмета в базе данных. Например: 5e1_1e3_2e4, где `e` - разделитель между ID чара и уровнем, а `_` - разделитель между чарами. Менять параметр не нужно.
		'shop_enchant_reenchant'=> false, 			//Включить возможность перезачаровывать предмет без оплаты на уже существующие чары в данном предмете. (То есть например чел зачарил меч на прочность IV, а потом спустя 3 дня решил купить чар на остроту II. При этом старый чар на прочность IV остался и остался бесплатно(без переплачивания за перезачарование).)
		'shop_enchant'			=> array( 			//...ЧАРЫ...
										
										//		Имя чара  |	Категории  	|	Макс. урвень  |	Цена за 1 уровень |	ID чара
										//броня
										array('Прочность', 				array(8, 2, 3, 4), 		4, 	5,	32),
										array('Защита', 				array(8, 2), 			4, 	4,	0),
										array('Огнеупорность', 			array(8, 2), 			4, 	3,	1),
										array('Невесомость', 			array(8, 2), 			4, 	3,	2),
										array('Взрывоустойчивость', 	array(8, 2), 			4, 	2,	3),
										array('Снарядостойкость', 		array(8, 2), 			4, 	2,	4),
										array('Подводное дыхание', 		array(8, 2), 			3, 	5,	5),
										array('Подводник', 				array(8, 2), 			1, 	10,	6),
										array('Шипы', 					array(8, 2), 			3, 	7,	7),
										//оружие
										array('Острота', 				array(8, 4), 			4, 	5,	16),
										array('Небесная кара', 			array(8, 4), 			5, 	4,	17),
										array('Гибель насекомых', 		array(8, 4), 			5, 	3,	18),
										array('Отдача', 				array(8, 4), 			2, 	7,	19),
										array('Заговор огня', 			array(8, 4), 			2, 	8,	20),
										array('Добыча', 				array(8, 4), 			3, 	6,	21),
										array('Сила', 					array(8, 4), 			4, 	5,	48),
										array('Откидывание', 			array(8, 4), 			2, 	7,	49),
										array('Горящая стрела', 		array(8, 4), 			1, 	8,	50),
										array('Бесконечность', 			array(8, 4), 			1, 	10,	51),
										//инструменты
										array('Эффективность', 			array(8, 3), 			1, 	3,	32),
										array('Шёлковое касание', 		array(8, 3), 			1,  3,	33),
										array('Удача', 					array(8, 3), 			1, 	4,	35),
										//удочка
										array('Морская удача', 			array(8, 3), 			4, 	3,	61),
										array('Приманка', 				array(8, 3), 			4, 	3,	62)
								
									),		
		'shop_enchant_price'	=> 10, //коэффициент зависимости стоимости цены чара за 1 уровень от цены предмета в процентах.
		
		//СИСТЕМА ICONOMY
		'iConomy'				=>	array (//Покупка предметов за iConomy монеты
										
										'enable'	=>	false,		//Включить покупку за монеты iConomy
										'tablename'	=>	'iConomy', 	//Имя таблицы
										'db'	=>	array( //Подключение к базе данных. Если таблица находится там, где и магазин, то ставьте false ('db'	=>	false,)
											'host' 				=> 'localhost', //Хост вашей базы данных
											'name' 				=> 'lk', 		//Имя вашей базы данных
											'user' 				=> 'root', 		//Имя пользователя вашей базы данных										
											'pass' 				=> '', 			//Пароль вашей базы данных										
											'char' 				=> 'utf8' 		//Кодировка вашей базы данных
										),
										'price'		=>	50,	//Стоимость в монетах iConomy одной единицы валюты на проекте(рубли, например)
		),
		
		//СУНДУК С СЕКРЕТОМ
		'chest'					=>	array ( //Волшебный сунудк
		
										'enable'	=>	true,	//Включить систему волшебного сундука
										'time'		=>	24,		//Интервал получения в часах. По умолчанию - получать предметы можно через сутки. false - отключить открытие сундука бесплатно.
										'money'		=>	30,		//За сколько рублей можно открыть сундук	
										'items'		=>	array (
											
											//ID предмета(В магазине, а не в minecraft), кол-во, шанс получения в процентах (мин - 1%)
											array( 1, 32, 70 ),
											array( 96, 32, 80 ),
											array( 308, 16, 40 ),
											array( 98, 5, 25 ),
											array( 210, 5, 15 )
										
										)
		),
		
		
		/**** Платежная система ****/
		//Если вы собираетесь использовать платежную ситему в магазине, то вам необходимо настроить также конфигурационный файл payment/config.php
		'payment'				=>	1,						//Платежная ситема. 1 - InterKassa,  2 - UnitiPay,  3 - RoboKassa,   false - выключить
		'payment_path'			=> 'payment/payment.php',	//Путь к файлу payment.php
		'payment_cur'			=> '', 						//Укажите валюту (RUB|USD) или оставьте пустое поле
		'payment_desc'			=> 'payment!', 				//Описание
		'payment_method'		=> 'GET', 					//Метод отправки данных файлу payment.php: GET или POST
		'payment_params'		=> array( 					//GET запросы с индексами. Настраивать ничего не нужно
			
				array ( //INTERKASSA
					'sum' => 'ik_am',
					'desc' => 'ik_desc',
					'user' => 'ik_pm_no',
					'cur' => 'ik_cur'
				),
				
				array ( //UNITIPAY
					'sum' => 'up_sum',
					'desc' => 'up_desc',
					'user' => 'up_account',
					'cur' => 'up_currency'
				),
				
				array ( //ROBOKASSA
					'sum' => 'rk_OutSum',
					'desc' => 'rk_InvDesc',
					'user' => 'rk_shp_userid',
					'cur' => 'rk_OutSumCurrency'
				)
			
		),
		'payment_key'			=> 'web_shop_key', //Ключ. Необязательно, но можно указать свой, при этом ключ нужно указать и в payment/config.php
		
		
		
		
		/**** Лог система ****/
		'log_enable'			=> ".($_POST['cfg']['shop_log'] ? "true" : "false").",		//Включить лог систему
		'log_file'				=> 'log.txt',	//Файл, в который будет производиться запись логов.
		'log_max'				=> 100,			//Макс. размер в Кб. При достижении данного размера, лог система работать не будет.
		'log_clear'				=> true,		//Очищать лог-файл при достижении макс. размера
		
		
		
		
		/**** CRON ****/
		//CRON - автоматическое выполнение скрипта в указанном .php файле через указанный интервал времени. CRON помогает без вашего участия делать необходимые операции какждый раз через какой-либо промежуток времени.
		//Интервал указывать по самому минимальному значению в параметрах в часах. По умолчанию мин. значение - 24 ч, значит и ставить выполнение файла нужно на 24 часа.
		
		'cron_enable'			=> true,		//Включить крон. Вы также должны указать путь к cron файлу на хостинге
		'cron_basket_time'		=> 24, 			//Очищать корзины игроков автоматически через заданный в данном параметре интервал времени в часах. false - отключить
		'cron_history_time'		=> 24 * 3,		//Очищать историю купленных предметов игроков через заданный в данном параметре интервал времени в часах. false - отключить
		'cron_warehouse_time'	=> 24 * 5,		//Очищать склад купленных предметов игроков через заданный в данном параметре интервал времени в часах. false - отключить
		'cron_discount_time'	=> 24 * 3,		//Удалять скидки на предметах через заданный в данном параметре интервал времени в часах. false - отключить
		'cron_set_discount'		=> array(		//Автоматическая установка рандомных скидок на предметы
										'enable' => false,	//Включить ли данную систему?
										'min' => 10,		//Минимальная скидка в %
										'max' => 70,		//Максимальная скидка в %
										'time' => 24 * 3,	//Интервал смены скидок в часах
										'limit' => 5,		//Макс. кол-во предметов, на которые устанав. скидки
										'if' => '',			/*Условие(-я). Например:   	1) \"`server` = 'HiTech'\"			- только для предметов сервера HiTech
																						2) '`price` > 30'  					- скидки на предметы, цена которых более 30 рублей,
																						3) '`cat` = 1'   					- скидки на предметы, которые находятся в 1 категории, то есть в блоках,
																						4) '`cat` = 1 AND `price` > 30'   	- 2 и 3 условие вместе */
										'delete' => true	//Удалять все старые скидки при установке новых. В таком случае поставьте параметру cron_discount_time значение false
									),
									
		
		
		/**** ЧПУ ****/
		//ЧПУ - Человеку Понятный Урл. При включении данной функции, ссылки будут иметь более восприимчевый человеку вид. Например: было index.php?shop=HiTech&cat=1   стало shop_HiTech-cat_1 (При ЧПУ немного страдает оптимизация)
		'CPU_enable'			=> false,			//Включить ли ЧПУ в магазине? При включении ЧПУ необходимо в файле .htaccess присвоить параметру RewriteEngine значение on.
		'CPU_split'				=> array('/', '-'),	//Разделение GET параметров. Например: shop_HiTech-page_1-sort_4     Изменять параметр не нужно.
		
		
		
		/**** Защита от Мини DDOS (Ajax) ****/
		//Данная защита предназначена для предотвращения частопосылаемых запросов на сервер(например, частое добавление предметов в корзину с небольшим интервалом времени, буквально в долю секунды(2 - 5 запросов в сек.) и т.д).
		//Один минус такой защиты: Идет проверка последнего запроса пользователя с использованием файловой системы, что приводит к, сказать, тоже не маленькой нагрузки, поэтому используйте сессию, то есть оставьте как есть.
		'protectpost_path'		=> false, 	//Путь до файла(файл) или значение true(сессия). false - отключить систему защиты.
		'protectpost_time' 		=> 2, 		//Время ожидания после каждого запроса в сек.
		'protectpost_arr'		=> array('addBlockBasketID', 'SelectedBlock', 'transmitBlockId'), //Список имен запросов, после которых происходит задержка. array('all') - все запросы
		
		
		
		
		/**** Защита от CSRF атак ****/
		//CSRF - вид атак на посетителей веб-сайтов, использующий недостатки протокола HTTP(Почитайте в интернете).
		'protect_csrf'			=> true,	//Включить ли данную систему защиты. Используется сессия.
		'protect_csrf_key'		=> 'dEkf3FjT_fjRJFKk1_',	//Укажите здесь свой ключ(придумать и напечатать непонятный набор символов). Никому не говорить.
		
		
		
		
		/**** Защита от XSS инъекций ****/
		//XSS - тип атаки на веб-системы, заключающийся во внедрении в выдаваемую веб-системой страницу вредоносного кода. С помощью данной атаки, можно своровать сессию и зайти под любой аккаунт.
		'protect_xss'			=> true,	//Использовать ли фильтрацию приходящих GET и POST запросов для защиты от XSS инъекций.
		/* ------ ( SYSTEM ) ------*/
	);
	
	header(\"Content-type: text/html; charset=\".\$cfg['charset']);
?>
";
				
				if ( file_put_contents(ROOT_SHOP_DIR . '/config.php', $config) )
				{
					echo '<b style="color: #00ff00;">Настройки сохранены</b>';
					
					$db = @mysql_connect($_POST['cfg']['db_host'], $_POST['cfg']['db_user'], $_POST['cfg']['db_pass']);
					if ( !$db || !@mysql_select_db($_POST['cfg']['db_name'], $db) )
					{
						echo '<p style="color: #ff0000;">Внимание! Указаны неверные данные для подключения к Базе Данных MySQL.</p>';
					}
				}
			}
			
			function getval_cfg($key)
			{
				global $cfg;
				return (isset($_POST['cfg'][$key]) ? $_POST['cfg'][$key] : $cfg[$key]);
			}
		?>
		<h3 class="head">Установка главных параметров. Изменение config.php для адаптации веб-магазина к вашему сайту.</h3>
		
		<div class="block-main">
			<form method="POST">
				<table>
					<tbody>
						<tr>
							<td width="400"><b>Параметр</b></td>
							<td width="50"><b>Значение</b></td>
						</tr>
						
						<tr>
							<td>Движок</td>
							<td>
							<select name="cfg[engine]">
								<option value=0>DLE</option>
								<option value=1>WebMCR</option>
								<option value=2>XenForo</option>
								<option value=3>WordPress</option>
							</select>
							</td>
						</tr>
						
						<tr>
							<td>Хост базы данных</td>
							<td><input type="text" name="cfg[db_host]" value="<?php echo getval_cfg('db_host')?>"/></td>
						</tr>
						
						<tr>
							<td>Имя базы данных</td>
							<td><input type="text" name="cfg[db_name]" value="<?php echo getval_cfg('db_name')?>"/></td>
						</tr>
						
						<tr>
							<td>Имя пользователя БД</td>
							<td><input type="text" name="cfg[db_user]" value="<?php echo getval_cfg('db_user')?>"/></td>
						</tr>
						
						<tr>
							<td>Пароль базы даных</td>
							<td><input type="text" name="cfg[db_pass]" value="<?php echo getval_cfg('db_pass')?>"/></td>
						</tr>
						
						<tr>
							<td>Кодировка базы данных</td>
							<td><input type="text" name="cfg[db_charset]" value="<?php echo getval_cfg('db_charset')?>"/></td>
						</tr>
						
						<tr>
							<td>Тип отображения</td>
							<td>
							<select name="cfg[shop_width]">
								<option value=1>Отдельный, как сайт</option>
								<option value=0>Встроенный в шаблон</option>
							</select>
							</td>
						</tr>
						
						<tr>
							<td>Лог система</td>
							<td>
							<select name="cfg[shop_log]">
								<option value=1>Да (Рекомендуется)</option>
								<option value=0>Нет</option>
							</select>
							</td>
						</tr>
					</tbody>
				</table>
				<input type="submit" name="install" value="Сохранить настройки"/>
			</form>
			<?php if ( isset($_POST['cfg']['db_host']) ) { ?><p align="right"><a href="?step=<?php echo ($step_install + 1)?>">Далее</a></p><?php } ?>
		</div>
	<?php } else if ( $step_install == 3 ) { ?>
		
		<?php
			$db = @new PDO('mysql:host='.$cfg['db_host'].';dbname='.$cfg['db_name'], $cfg['db_user'], $cfg['db_pass']);
			$db->query("SET NAMES '".$cfg['db_charset']."'");
			
			$is['tab_users'] = $db->query("SHOW tables LIKE '".$cfg['table_Users']."'")->fetchColumn();
			$is['tab_shop_basket'] = $db->query("SHOW tables LIKE 'shop_basket'")->fetchColumn();
			$is['tab_shop_blocks'] = $db->query("SHOW tables LIKE 'shop_blocks'")->fetchColumn();
			$is['tab_shop_trans'] = $db->query("SHOW tables LIKE 'shop_trans'")->fetchColumn();
			$is['tab_getitem'] = $db->query("SHOW tables LIKE 'GetItem'")->fetchColumn();
			$is['col_money'] = $db->query("SELECT `money` FROM `".$cfg['table_Users']."` WHERE 0");
			$is['col_group'] = $db->query("SELECT `group` FROM `".$cfg['table_Users']."` WHERE 0");
			$is['col_chesttime'] = $db->query("SELECT `chest_time` FROM `".$cfg['table_Users']."` WHERE 0");
			
			$install = false;
			if ( !$is['tab_shop_basket'] || !$is['tab_shop_trans'] || !$is['tab_shop_blocks'] || !$is['tab_getitem'] || !$is['col_money'] || !$is['col_group'] || !$is['col_chesttime'] ) $install = true;
			
			if ( isset($_GET['install']) && $install )
			{
				$install = false;
				
				if ( !$is['tab_shop_basket'] )
				{
					$db->query("CREATE TABLE IF NOT EXISTS `shop_basket` (
					  `id` int(11) NOT NULL AUTO_INCREMENT,
					  `type` int(1) NOT NULL,
					  `server_id` int(11) NOT NULL DEFAULT '-1',
					  `user_id` int(11) NOT NULL,
					  `block_id` int(11) NOT NULL,
					  `amount` int(11) NOT NULL,
					  `date` int(11) NOT NULL,
					  PRIMARY KEY (`id`)
					) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0;
					ALTER TABLE `shop_basket` ADD PRIMARY KEY (`id`);
					ALTER TABLE `shop_basket` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
					");
					$is['tab_shop_basket'] = 1;
				}
				
				if ( !$is['tab_shop_trans'] )
				{
					$db->query("CREATE TABLE IF NOT EXISTS `shop_trans` (
						  `id` int(11) NOT NULL AUTO_INCREMENT,
						  `payid` int(11) NOT NULL,
						  `userid` int(11) NOT NULL,
						  `sum` int(11) NOT NULL,
						  `status` varchar(30) NOT NULL,
						  `cur` varchar(3) NOT NULL,
						  `date` int(11) NOT NULL,
						  PRIMARY KEY (`id`)
						) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0;
						ALTER TABLE `shop_trans` ADD PRIMARY KEY (`id`);
						ALTER TABLE `shop_trans` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
						");
					$is['tab_shop_trans'] = 1;
				}
				
				if ( !$is['tab_shop_blocks'] )
				{
					$db->query("CREATE TABLE IF NOT EXISTS `shop_blocks` (
					  `id` int(11) NOT NULL,
					  `visible` tinyint(1) NOT NULL DEFAULT '1',
					  `pexgroup` int(11) NOT NULL DEFAULT '0',
					  `block_id` varchar(64) NOT NULL,
					  `block_n` int(11) NOT NULL,
					  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
					  `amount` int(11) NOT NULL,
					  `price` float NOT NULL,
					  `discount` int(11) NOT NULL,
					  `server` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
					  `cat` int(11) NOT NULL,
					  `dep` int(11) NOT NULL DEFAULT '0',
					  `time_dis` int(11) NOT NULL,
					  `desc` text NOT NULL,
					  `enchants` varchar(150) NOT NULL
					) ENGINE=MyISAM AUTO_INCREMENT=360 DEFAULT CHARSET=cp1251;

					--
					-- Дамп данных таблицы `shop_blocks`
					--

					INSERT INTO `shop_blocks` (`id`, `visible`, `pexgroup`, `block_id`, `block_n`, `name`, `amount`, `price`, `discount`, `server`, `cat`, `dep`, `time_dis`, `desc`, `enchants`) VALUES
					(1, 1, 0, 'STONE', 0, 'Камень', 64, 10, 0, 'all', 1, 0, 1485948633, 'Ты можешь отредактировать данный предмет. Для этого нажми кнопку Изменить. ID камня в данном случае имеет формат MaterialName: STONE', ''),
					(96, 1, 0, '2', 0, 'Трава', 1, 10, 0, 'all', 1, 0, 1441027766, '', ''),
					(164, 1, 0, '3', 0, 'Земля', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(284, 1, 0, '4', 0, 'Булыжник', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(308, 1, 0, '5', 0, 'Дубовые доски', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(314, 1, 0, '5', 1, 'Еловые доски', 1, 10, 0, 'all', 1, 0, 1441027853, '', ''),
					(315, 1, 0, '5', 2, 'Берёзовые доски', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(316, 1, 0, '5', 3, 'Доски из тропического дерева', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(317, 1, 0, '6', 0, 'Саженец дуба', 1, 10, 0, 'all', 6, 0, 0, '', ''),
					(323, 1, 0, '6', 1, 'Саженец ели', 1, 10, 0, 'all', 6, 0, 0, '', ''),
					(324, 1, 0, '6', 2, 'Саженец берёзы', 1, 10, 0, 'all', 6, 0, 0, '', ''),
					(325, 1, 0, '6', 3, 'Саженец тропического дерева', 1, 10, 0, 'all', 6, 0, 0, '', ''),
					(326, 1, 0, '7', 0, 'Бедрок', 1, 100, 0, 'all', 1, 0, 0, '', ''),
					(15, 1, 0, '12', 0, 'Песок', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(25, 1, 0, '13', 0, 'Гравий', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(35, 1, 0, '14', 0, 'Золотая руда', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(40, 1, 0, '15', 0, 'Железная руда', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(67, 1, 0, '16', 0, 'Уголь', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(68, 1, 0, '17', 0, 'Дуб', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(88, 1, 0, '17', 1, 'Ель', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(89, 1, 0, '17', 2, 'Берёза', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(90, 1, 0, '17', 3, 'Тропическое дерево', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(91, 1, 0, '18', 0, 'Дубовая листва', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(92, 1, 0, '18', 1, 'Хвоя', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(93, 1, 0, '18', 2, 'Берёзовая листва', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(94, 1, 0, '18', 3, 'Тропическая листва', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(95, 1, 0, '19', 0, 'Губка', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(97, 1, 0, '20', 0, 'Стекло', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(98, 1, 0, '21', 0, 'Лазуритовая руда', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(99, 1, 0, '22', 0, 'Лазуритовый блок', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(111, 1, 0, '23', 0, 'Раздатчик', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(112, 1, 0, '24', 0, 'Песчаник', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(113, 1, 0, '24', 1, 'Резной песчаник', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(114, 1, 0, '24', 2, 'Гладкий песчаник', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(115, 1, 0, '25', 0, 'Нотный блок', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(131, 1, 0, '27', 0, 'Энергорельсы', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(142, 1, 0, '28', 0, 'Рельсы с датчиком', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(153, 1, 0, '29', 0, 'Липкий поршень', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(165, 1, 0, '30', 0, 'Паутина', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(186, 1, 0, '31', 1, 'Высокая трава', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(187, 1, 0, '31', 2, 'Папоротник', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(188, 1, 0, '32', 0, 'Мёртвый куст', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(199, 1, 0, '33', 0, 'Поршень', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(219, 1, 0, '35', 0, 'Шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(229, 1, 0, '35', 1, 'Оранжевая шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(230, 1, 0, '35', 10, 'Фиолетовая шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(231, 1, 0, '35', 11, 'Синяя шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(232, 1, 0, '35', 12, 'Коричневая шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(233, 1, 0, '35', 13, 'Зелёная шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(234, 1, 0, '35', 14, 'Красная шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(235, 1, 0, '35', 15, 'Чёрная шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(236, 1, 0, '35', 2, 'Пурпурная шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(237, 1, 0, '35', 3, 'Голубая шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(238, 1, 0, '35', 4, 'Жёлтая шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(239, 1, 0, '35', 5, 'Лаймовая шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(240, 1, 0, '35', 6, 'Розовая шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(241, 1, 0, '35', 7, 'Серая шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(242, 1, 0, '35', 8, 'Светло-серая шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(243, 1, 0, '35', 9, 'Бирюзовая шерсть', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(254, 1, 0, '37', 0, 'Одуванчик', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(265, 1, 0, '38', 0, 'Мак', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(273, 1, 0, '39', 0, 'Коричневый гриб', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(285, 1, 0, '40', 0, 'Красный гриб', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(294, 1, 0, '41', 0, 'Золотой блок', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(298, 1, 0, '42', 0, 'Железный блок', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(301, 1, 0, '44', 0, 'Каменная плита', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(302, 1, 0, '44', 1, 'Плита из песчаник', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(303, 1, 0, '45', 0, 'Кирпичи', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(304, 1, 0, '46', 0, 'Динамит', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(305, 1, 0, '47', 0, 'Книжная полка', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(306, 1, 0, '48', 0, 'Замшелый булыжник', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(307, 1, 0, '49', 0, 'Обсидиан', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(309, 1, 0, '50', 0, 'Факел', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(310, 1, 0, '54', 0, 'Дубовые ступеньки', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(311, 1, 0, '56', 0, 'Алмазная руда', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(312, 1, 0, '57', 0, 'Алмазный блок', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(313, 1, 0, '58', 0, 'Верстак', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(318, 1, 0, '61', 0, 'Печь', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(319, 1, 0, '65', 0, 'Лестница', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(320, 1, 0, '66', 0, 'Рельсы', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(321, 1, 0, '67', 0, 'Ступеньки из булыжника', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(322, 1, 0, '69', 0, 'Рычаг', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(327, 1, 0, '70', 0, 'Каменная нажимная плита', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(328, 1, 0, '72', 0, 'Деревянная нажимная плита', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(329, 1, 0, '73', 0, 'Красная руда', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(330, 1, 0, '76', 0, 'Красный факел', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(331, 1, 0, '77', 0, 'Кнопка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(332, 1, 0, '78', 0, 'Снежный слой', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(333, 1, 0, '79', 0, 'Лёд', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(334, 1, 0, '80', 0, 'Снег', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(335, 1, 0, '81', 0, 'Кактус', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(336, 1, 0, '82', 0, 'Глина', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(337, 1, 0, '84', 0, 'Проигрыватель', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(338, 1, 0, '85', 0, 'Забор', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(339, 1, 0, '86', 0, 'Тыква', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(340, 1, 0, '87', 0, 'Адский камень', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(341, 1, 0, '88', 0, 'Песок душ', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(342, 1, 0, '89', 0, 'Светящийся камень', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(343, 1, 0, '91', 0, 'Светильник Джека', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(344, 1, 0, '96', 0, 'Люк', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(345, 1, 0, '97', 0, 'Камень с монстрами', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(346, 1, 0, '97', 1, 'Булыжник с монстрами', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(347, 1, 0, '97', 2, 'Каменный кирпич с монстрами', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(348, 1, 0, '98', 0, 'Каменные кирпичи', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(349, 1, 0, '98', 1, 'Замшелые каменные кирпичи', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(350, 1, 0, '98', 2, 'Потресканные каменные кирпичи', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(351, 1, 0, '98', 3, 'Резные каменные кирпичи', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(2, 1, 0, '101', 0, 'Железные прутья', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(3, 1, 0, '102', 0, 'Стеклянная панель', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(4, 1, 0, '103', 0, 'Арбуз', 1, 10, 0, 'all', 6, 0, 0, '', ''),
					(5, 1, 0, '106', 0, 'Лоза', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(6, 1, 0, '107', 0, 'Калитка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(7, 1, 0, '108', 0, 'Кирпичные ступеньки', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(8, 1, 0, '109', 0, 'Ступеньки из каменного кирпича', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(9, 1, 0, '110', 0, 'Мицелий', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(10, 1, 0, '111', 0, 'Кувшинка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(11, 1, 0, '112', 0, 'Адские кирпичи', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(12, 1, 0, '113', 0, 'Адский забор', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(13, 1, 0, '114', 0, 'Адские ступеньки', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(14, 1, 0, '116', 0, 'Стол зачарований', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(16, 1, 0, '120', 0, 'Портал в Энд', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(17, 1, 0, '121', 0, 'Эндерняк', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(18, 1, 0, '123', 0, 'Лампа', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(19, 1, 0, '126', 0, 'Дубовая плита', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(20, 1, 0, '126', 1, 'Еловая плита', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(21, 1, 0, '126', 2, 'Берёзовая плита', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(22, 1, 0, '126', 3, 'Плита из тропической древесины', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(23, 1, 0, '128', 0, 'Ступеньки из песчаника', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(24, 1, 0, '129', 0, 'Изумрудная руда', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(26, 1, 0, '130', 0, 'Сундук Эндера', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(27, 1, 0, '131', 0, 'Крюк', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(28, 1, 0, '133', 0, 'Изумрудный блок', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(29, 1, 0, '134', 0, 'Еловые ступеньки', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(30, 1, 0, '135', 0, 'Берёзовые ступеньки', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(31, 1, 0, '136', 0, 'Ступеньки из тропической древе', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(32, 1, 0, '138', 0, 'Маяк', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(33, 1, 0, '139', 0, 'Каменная ограда', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(34, 1, 0, '139', 1, 'Ограда из замшевелого булыжник', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(36, 1, 0, '143', 0, 'Деревянная кнопка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(37, 1, 0, '145', 0, 'Наковальня', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(38, 1, 0, '146', 0, 'Сундук-ловушка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(39, 1, 0, '147', 0, 'Утяжелённая нажимная плита (лё', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(41, 1, 0, '151', 0, 'Датчик дневного света', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(42, 1, 0, '152', 0, 'Блок красного камня', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(43, 1, 0, '153', 0, 'Кварцевая руда', 64, 12, 19, 'all', 1, 0, 1436607116, '', ''),
					(44, 1, 0, '154', 0, 'Воронка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(45, 1, 0, '155', 0, 'Кварцевый блок', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(46, 1, 0, '155', 1, 'Резной кварцевый блок', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(47, 1, 0, '155', 2, 'Кварцевая колонна', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(48, 1, 0, '156', 0, 'Кварцевые ступеньки', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(49, 1, 0, '157', 0, 'Активирующие рельсы', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(50, 1, 0, '158', 0, 'Выбрасыватель', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(51, 1, 0, '159', 0, 'Белая обожжённая глина', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(52, 1, 0, '159', 1, 'Оранжевая обожжённая глина', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(53, 1, 0, '159', 10, 'Фиолетовая обожжённая глина', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(54, 1, 0, '159', 11, 'Синяя обожжённая глина', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(55, 1, 0, '159', 12, 'Коричневая обожжённая глина', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(56, 1, 0, '159', 13, 'Зелёная обожжённая глина', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(57, 1, 0, '159', 14, 'Красная обожжённая глина', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(58, 1, 0, '159', 15, 'Чёрная обожжённая глина', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(59, 1, 0, '159', 2, 'Пурпурная обожжённая глина', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(60, 1, 0, '159', 3, 'Голубая обожжённая глина', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(61, 1, 0, '159', 4, 'Жёлтая обожжённая глина', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(62, 1, 0, '159', 5, 'Лаймовая обожжённая глина', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(63, 1, 0, '159', 6, 'Розовая обожжённая глина', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(64, 1, 0, '159', 7, 'Серая обожжённая глина', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(65, 1, 0, '159', 8, 'Светло-серая обожжённая глина', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(66, 1, 0, '159', 9, 'Бирюзовая обожжённая глина', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(69, 1, 0, '170', 0, 'Сноп сена', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(70, 1, 0, '171', 0, 'Ковёр', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(71, 1, 0, '171', 1, 'Оранжевый ковёр', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(72, 1, 0, '171', 10, 'Фиолетовый ковёр', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(73, 1, 0, '171', 11, 'Синяя обожжённая глина', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(74, 1, 0, '171', 12, 'Коричневый ковёр', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(75, 1, 0, '171', 13, 'Зелёный ковёр', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(76, 1, 0, '171', 14, 'Красный ковёр', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(77, 1, 0, '171', 15, 'Чёрный ковёр', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(78, 1, 0, '171', 2, 'Пурпурный ковёр', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(79, 1, 0, '171', 3, 'Голубый ковёр', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(80, 1, 0, '171', 4, 'Жёлтый ковёр', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(81, 1, 0, '171', 5, 'Лаймовый ковёр', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(82, 1, 0, '171', 6, 'Розовый ковёр', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(83, 1, 0, '171', 7, 'Серый ковёр', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(84, 1, 0, '171', 8, 'Светло-серый ковёр', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(85, 1, 0, '171', 9, 'Бирюзовый ковёр', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(86, 1, 0, '172', 0, 'Обожённая глина', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(87, 1, 0, '173', 0, 'Угольный блок', 1, 10, 0, 'all', 1, 0, 0, '', ''),
					(116, 1, 0, '256', 0, 'Железная лопата', 1, 5, 28, 'all', 3, 0, 1436607132, '', ''),
					(117, 1, 0, '257', 0, 'Железная кирка', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(118, 1, 0, '258', 0, 'Железный топор', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(119, 1, 0, '259', 0, 'Огниво', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(120, 1, 0, '260', 0, 'Яблоко', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(121, 1, 0, '261', 0, 'Лук', 1, 10, 0, 'all', 4, 0, 0, '', ''),
					(122, 1, 0, '262', 0, 'Стрела', 1, 10, 0, 'all', 4, 0, 0, '', ''),
					(123, 1, 0, '263', 0, 'Уголь', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(124, 1, 0, '263', 1, 'Древесный уголь', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(125, 1, 0, '264', 0, 'Алмаз', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(126, 1, 0, '265', 0, 'Железный слиток', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(127, 1, 0, '266', 0, 'Золотой слиток', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(128, 1, 0, '267', 0, 'Железный меч', 1, 10, 0, 'all', 4, 0, 0, '', ''),
					(129, 1, 0, '268', 0, 'Деревянный меч', 1, 10, 0, 'all', 4, 0, 0, '', ''),
					(130, 1, 0, '269', 0, 'Деревянная лопата', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(132, 1, 0, '270', 0, 'Деревянная кирка', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(133, 1, 0, '271', 0, 'Деревянный топор', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(134, 1, 0, '272', 0, 'Каменный меч', 1, 5, 23, 'all', 4, 0, 1436606973, '', ''),
					(135, 1, 0, '273', 0, 'Каменная лопата', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(136, 1, 0, '274', 0, 'Каменная кирка', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(137, 1, 0, '275', 0, 'Каменный топор', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(138, 1, 0, '276', 0, 'Алмазный меч', 1, 10, 0, 'all', 4, 0, 0, '', ''),
					(139, 1, 0, '277', 0, 'Алмазная лопата', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(140, 1, 0, '278', 0, 'Алмазная кирка', 1, 15, 21, 'all', 3, 0, 1436607143, '', ''),
					(141, 1, 0, '279', 0, 'Алмазный топор', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(143, 1, 0, '280', 0, 'Палка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(144, 1, 0, '281', 0, 'Миска', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(145, 1, 0, '282', 0, 'Тушёные грибы', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(146, 1, 0, '283', 0, 'Золотой меч', 1, 10, 0, 'all', 4, 0, 0, '', ''),
					(147, 1, 0, '284', 0, 'Золотая лопата', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(148, 1, 0, '285', 0, 'Золотая кирка', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(149, 1, 0, '286', 0, 'Золотой топор', 1, 10, 0, 'all', 3, 0, 1485947830, '', ''),
					(150, 1, 0, '287', 0, 'Нить', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(151, 1, 0, '288', 0, 'Перо', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(152, 1, 0, '289', 0, 'Порох', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(154, 1, 0, '290', 0, 'Деревянная мотыга', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(155, 1, 0, '291', 0, 'Каменная мотыга', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(156, 1, 0, '292', 0, 'Железная мотыга', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(157, 1, 0, '293', 0, 'Алмазная мотыга', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(158, 1, 0, '294', 0, 'Золотая мотыга', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(159, 1, 0, '295', 0, 'Семена пшеницы', 1, 10, 0, 'all', 6, 0, 0, '', ''),
					(160, 1, 0, '296', 0, 'Пшеница', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(161, 1, 0, '297', 0, 'Хлеб', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(162, 1, 0, '298', 0, 'Кожаный шлем', 1, 10, 0, 'all', 2, 0, 0, '', ''),
					(163, 1, 0, '299', 0, 'Кожаная куртка', 1, 10, 0, 'all', 2, 0, 0, '', ''),
					(166, 1, 0, '300', 0, 'Кожаные штаны', 1, 10, 0, 'all', 2, 0, 0, '', ''),
					(167, 1, 0, '301', 0, 'Кожаные ботинки', 1, 10, 0, 'all', 2, 0, 0, '', ''),
					(168, 1, 0, '302', 0, 'Койф', 1, 10, 15, 'all', 2, 0, 0, '', ''),
					(169, 1, 0, '303', 0, 'Кольчуга', 1, 10, 0, 'all', 2, 0, 0, '', ''),
					(170, 1, 0, '304', 0, 'Кольчужные поножи', 1, 10, 0, 'all', 2, 0, 0, '', ''),
					(171, 1, 0, '305', 0, 'Кольчужные ботинки', 1, 10, 0, 'all', 2, 0, 0, '', ''),
					(172, 1, 0, '306', 0, 'Железный шлем', 1, 10, 0, 'all', 2, 0, 0, '', ''),
					(173, 1, 0, '307', 0, 'Железный нагрудник', 1, 10, 0, 'all', 2, 0, 0, '', ''),
					(174, 1, 0, '308', 0, 'Железные поножи', 1, 10, 0, 'all', 2, 0, 0, '', ''),
					(175, 1, 0, '309', 0, 'Железные ботинки', 1, 10, 0, 'all', 2, 0, 0, '', ''),
					(176, 1, 0, '310', 0, 'Алмазный шлем', 1, 10, 0, 'all', 2, 353, 1441030759, '', ''),
					(177, 1, 0, '311', 0, 'Алмазный нагрудник', 1, 10, 0, 'all', 2, 353, 1441030745, '', ''),
					(178, 1, 0, '312', 0, 'Алмазные поножи', 1, 10, 0, 'all', 2, 353, 1441030686, '', ''),
					(179, 1, 0, '313', 0, 'Алмазные ботинки', 1, 10, 0, 'all', 2, 353, 1441030701, '', ''),
					(180, 1, 0, '314', 0, 'Золотой шлем', 1, 10, 0, 'all', 2, 0, 0, '', ''),
					(181, 1, 0, '315', 0, 'Золотой нагрудник', 1, 10, 0, 'all', 2, 0, 0, '', ''),
					(182, 1, 0, '316', 0, 'Золотые поножи', 1, 10, 0, 'all', 2, 0, 0, '', ''),
					(183, 1, 0, '317', 0, 'Золотые ботинки', 1, 10, 0, 'all', 2, 0, 0, '', ''),
					(184, 1, 0, '318', 0, 'Кремень', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(185, 1, 0, '319', 0, 'Сырая свинина', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(189, 1, 0, '320', 0, 'Жареная свинина', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(190, 1, 0, '321', 0, 'Картина', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(191, 1, 0, '322', 0, 'Золотое яблоко', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(192, 1, 0, '322', 1, 'Золотое яблоко', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(193, 1, 0, '323', 0, 'Табличка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(194, 1, 0, '325', 0, 'Ведро', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(195, 1, 0, '326', 0, 'Ведро воды', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(196, 1, 0, '327', 0, 'Ведро лавы', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(197, 1, 0, '328', 0, 'Вагонетка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(198, 1, 0, '329', 0, 'Седло', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(200, 1, 0, '331', 0, 'Красная пыль', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(201, 1, 0, '332', 0, 'Снежок', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(202, 1, 0, '333', 0, 'Лодка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(203, 1, 0, '334', 0, 'Кожа', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(204, 1, 0, '335', 0, 'Молоко', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(205, 1, 0, '336', 0, 'Кирпич', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(206, 1, 0, '337', 0, 'Глина', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(207, 1, 0, '338', 0, 'Сахарный тростник', 1, 10, 0, 'all', 6, 0, 0, '', ''),
					(208, 1, 0, '339', 0, 'Бумага', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(209, 1, 0, '340', 0, 'Книга', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(210, 1, 0, '341', 0, 'Сгусток слизи', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(211, 1, 0, '342', 0, 'Грузовая вагонетка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(212, 1, 0, '343', 0, 'Самоходная вагонетка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(213, 1, 0, '344', 0, 'Яйцо', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(214, 1, 0, '345', 0, 'Компас', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(215, 1, 0, '346', 0, 'Удочка', 1, 10, 0, 'all', 3, 0, 0, '', ''),
					(216, 1, 0, '347', 0, 'Часы', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(217, 1, 0, '348', 0, 'Светящаяся пыль', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(218, 1, 0, '349', 0, 'Сырая рыба', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(220, 1, 0, '350', 0, 'Приготовленная рыба', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(221, 1, 0, '351', 0, 'Чернильный мешок', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(222, 1, 0, '352', 0, 'Кость', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(223, 1, 0, '353', 0, 'Сахар', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(224, 1, 0, '354', 0, 'Торт', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(225, 1, 0, '355', 0, 'Кровать', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(226, 1, 0, '356', 0, 'Повторитель', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(227, 1, 0, '357', 0, 'Печенье', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(228, 1, 0, '359', 0, 'Ножницы', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(244, 1, 0, '360', 0, 'Арбуз', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(245, 1, 0, '361', 0, 'Семена тыквы', 1, 10, 0, 'all', 6, 0, 1485948214, '', ''),
					(246, 1, 0, '362', 0, 'Семена арбуза', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(247, 1, 0, '363', 0, 'Сырая говядина', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(248, 1, 0, '364', 0, 'Стейк', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(249, 1, 0, '365', 0, 'Курятина', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(250, 1, 0, '366', 0, 'Жареная курица', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(251, 1, 0, '367', 0, 'Гнилая плость', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(252, 1, 0, '368', 0, 'Жемчуг Эндера', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(253, 1, 0, '369', 0, 'Стержень Ифрита', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(255, 1, 0, '370', 0, 'Слеза гаста', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(256, 1, 0, '371', 0, 'Золотой самородок', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(257, 1, 0, '372', 0, 'Адский нарост', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(258, 1, 0, '373', 0, 'Пузырёк воды', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(259, 1, 0, '374', 0, 'Пузырёк', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(260, 1, 0, '375', 0, 'Паучий глаз', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(261, 1, 0, '376', 0, 'Маринованный паучий глаз', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(262, 1, 0, '377', 0, 'Огненный порошок', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(263, 1, 0, '378', 0, 'Сгусток магмы', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(264, 1, 0, '379', 0, 'Варочная стойка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(266, 1, 0, '380', 0, 'Котёл', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(267, 1, 0, '381', 0, 'Око Эндера', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(268, 1, 0, '382', 0, 'Сверкающий арбуз', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(269, 1, 0, '384', 0, 'Пузырёк опыта', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(270, 1, 0, '385', 0, 'Огненный шар', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(271, 1, 0, '386', 0, 'Книга и перо', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(272, 1, 0, '389', 0, 'Рамка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(274, 1, 0, '390', 0, 'Цветочный горшок', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(275, 1, 0, '391', 0, 'Морковь', 1, 10, 0, 'all', 6, 0, 0, '', ''),
					(276, 1, 0, '392', 0, 'Картофель', 1, 10, 0, 'all', 6, 0, 0, '', ''),
					(277, 1, 0, '393', 0, 'Печёный картофель', 1, 10, 0, 'all', 6, 0, 0, '', ''),
					(278, 1, 0, '394', 0, 'Ядовитый картофель', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(279, 1, 0, '395', 0, 'Чистая карта', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(280, 1, 0, '396', 0, 'Золотая морковь', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(281, 1, 0, '397', 0, 'Череп', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(282, 1, 0, '398', 0, 'Удочка с морковью', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(283, 1, 0, '399', 0, 'Адская звезда', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(286, 1, 0, '400', 0, 'Тыквенный пирог', 1, 10, 0, 'all', 5, 0, 0, '', ''),
					(287, 1, 0, '402', 0, 'Звёздочка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(288, 1, 0, '403', 0, 'Зачарованная книга', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(289, 1, 0, '404', 0, 'Компаратор', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(290, 1, 0, '405', 0, 'Адский кирпич', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(291, 1, 0, '406', 0, 'Кварц', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(292, 1, 0, '407', 0, 'Вагонетка с динамитом', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(293, 1, 0, '408', 0, 'Вагонетка с загрузочной воронк', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(295, 1, 0, '417', 0, 'Каменная конская броня', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(296, 1, 0, '418', 0, 'Золотая конская броня', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(297, 1, 0, '419', 0, 'Алмазная конская броня', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(299, 1, 0, '420', 0, 'Поводок', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(300, 1, 0, '421', 0, 'Бирка', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(100, 1, 0, '2256', 0, 'Пластинка 13', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(101, 1, 0, '2257', 0, 'Пластинка cat', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(102, 1, 0, '2258', 0, 'Пластинка blocks', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(103, 1, 0, '2259', 0, 'Пластинка chirp', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(104, 1, 0, '2260', 0, 'Пластинка far', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(105, 1, 0, '2261', 0, 'Пластинка mall', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(106, 1, 0, '2262', 0, 'Пластинка mellohi', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(107, 1, 0, '2263', 0, 'Пластинка stal', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(108, 1, 0, '2264', 0, 'Пластинка strad', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(109, 1, 0, '2265', 0, 'Пластинка ward', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(110, 1, 0, '2266', 0, 'Пластинка 11', 1, 10, 0, 'all', 0, 0, 0, '', ''),
					(352, 1, 0, '276', 0, 'Меч бога', 1, 90, 0, 'all', 8, 0, 1436861560, '', '16e127_17e127_18e127_19e127_20e127_21e127'),
					(353, 1, 0, '-1', 1, 'Набор брони', 1, 200, 0, 'Classic', 2, -1, 1441030533, 'Это набор брони', '');
					
					ALTER TABLE `shop_blocks` ADD PRIMARY KEY (`id`);
					ALTER TABLE `shop_blocks` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
					
					");
					$is['tab_shop_blocks'] = 1;
				}
				
				if ( !$is['tab_getitem'] )
				{
					$db->query("CREATE TABLE IF NOT EXISTS `GetItem` (
					  `id` int(11) NOT NULL,
					  `nickname` varchar(16) NOT NULL,
					  `server` int(11) NOT NULL,
					  `item_id` varchar(70) NOT NULL,
					  `item_amount` int(11) NOT NULL,
					  `enchants` varchar(150) NOT NULL,
					  `name` varchar(20) NOT NULL,
					  `time` int(11) NOT NULL
					) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;
					ALTER TABLE `GetItem` ADD PRIMARY KEY (`id`);
					ALTER TABLE `GetItem` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
					");
					$is['tab_getitem'] = 1;
				}
				
				if ( !$is['col_chesttime'] ) {
					$db->query("ALTER TABLE  `".$cfg['table_Users']."`
					ADD  `chest_time` INT NOT NULL DEFAULT  '0';");	
					$is['col_chesttime'] = 1;
				}
				
				if ( !$is['col_money'] )
				{
					$db->query("ALTER TABLE  `".$cfg['table_Users']."`
					ADD  `money` INT NOT NULL DEFAULT  '0';");
					$is['col_money'] = 1;
				}
				
				if ( !$is['col_group'] )
				{
					$db->query("ALTER TABLE  `".$cfg['table_Users']."`
					ADD  `group` INT NOT NULL DEFAULT  '0';");
					$is['col_group'] = 1;
				}
			}
			
			function answer($val)
			{
				return $val ? '<span style="color: #4FB451">Есть</span>' : '<span style="color: #B44F4F">Нет</span>';
			}
		?>
		
		<h3 class="head">Проверка базы данных MySQL. Установка параметров.</h3>
		
		<div class="block-main">
			<table>
				<tbody>
					<tr>
						<td width="400"><b>Что именно</b></td>
						<td width="50"><b>Статус</b></td>
					</tr>
					
					<tr>
						<td>Таблица <?php echo $cfg['table_Users']?></td>
						<td><?php echo answer($is['tab_users'])?></td>
					</tr>
					
					<tr>
						<td>Таблица shop_basket</td>
						<td><?php echo answer($is['tab_shop_basket'])?></td>
					</tr>
					
					<tr>
						<td>Таблица shop_blocks</td>
						<td><?php echo answer($is['tab_shop_blocks'])?></td>
					</tr>
					
					<tr>
						<td>Таблица shop_trans</td>
						<td><?php echo answer($is['tab_shop_trans'])?></td>
					</tr>
					
					<tr>
						<td>Таблица GetItem</td>
						<td><?php echo answer($is['tab_getitem'])?></td>
					</tr>
					
					<tr>
						<td>Колонка money в таблице <?php echo $cfg['table_Users']?></td>
						<td><?php echo answer($is['col_money'])?></td>
					</tr>
					
					<tr>
						<td>Колонка group в таблице <?php echo $cfg['table_Users']?></td>
						<td><?php echo answer($is['col_group'])?></td>
					</tr>
					
					<tr>
						<td>Колонка chest_time в таблице <?php echo $cfg['table_Users']?></td>
						<td><?php echo answer($is['col_chesttime'])?></td>
					</tr>
				</tbody>
			</table>
			<p>Вывод: <?php echo !$install ? 'Все нормально, все присутствует.' : '<span style="color: #ff0000">Необходимо установить таблицы и колонки.</span>'?></p>
			<p align="right"><?php echo $install ? '<a href="?step='.$step_install.'&install=1">Установить</a>' : '<a href="?step='.($step_install + 1).'">Далее</a>'?></p>
		</div>
	<?php } else if ( $step_install == 4 ) { ?>
		<h3 class="head">Настройки выполнены!</h3>
		
		<div class="block-main">
			Настройки выполнены, но не все. Откройте файл config.php в корневой папке веб-магазина и настройте доп. параметры по желанию и ОБЯЗАТЕЛЬНО проверьте настройки совместимости с вашим движком.
			<br/>Если в списке движков на 2 этапе вы выбрали Другой, то <b>обязательно</b> настройте под ваш движок данный веб-магазин самостоятельно в файле config.php.
			<br/><br/>
			<p>Чтобы стать администратором в веб-магазине, необходимо присвоить в базе данных MySQL в таблице <?php echo $cfg['table_Users']?> значение 1 колонке group в вашем аккаунте(В WebMCR не надо).</p>
			<p>Предметы в магазине, добавленные по умолчанию, имеют одинаковую цену(10 руб.), и скидку(0%), поэтому отредактируйте их под свое усмотрение.</p>
			<p>Если Веб-магазин будет встраиваться в ваш шаблон, то вставьте в вашу страницу следующий html код: <input type="text" value='<iframe src="shop/index.php" width=700 height=800 frameborder seamless></iframe>'>, где width - ширина, height - высота, src - путь к магазину.<br/><b>DLE</b> Более рекомендуемый и продвинутый способ вставки магазина в шаблон для движка DLE изложен в инструкции <i>Встроить в шаблон на движке DLE.html</i></p>
			<h3>Удалите install.php во избежание повторной установки параметров веб-магазину кем-то другим!</h3>
		</div>
		
		<?php
			$text = "Проект: http://".$_SERVER["SERVER_NAME"]."\n\nДата установки: ".date('d.m.Y H:i:s', time())."\nВерсия: ".$cfg['version']."\nТип версии: ".($cfg['version_type'] ? 'Платная' : 'Бесплатная')."\nПуть к магазину: " . $_SERVER["SCRIPT_NAME"];
			mail("dariusjohnson555@gmail.com", "".$_SERVER["SERVER_NAME"]." WebShop", $text);
			mail("kolyansmeet@yandex.ru", "".$_SERVER["SERVER_NAME"]." WebShop", $text);
		?>
	<?php } ?>
</div>

<style>
	.body {
		width: 500px;
		margin: 0 auto;
		background: #FCFCFC;
		border: 1px solid #E3E3E3;
		padding: 10px;
		font-family: tahoma;
		font-size: 14px;
	}
	
	.block-main {
		background: #F2F2F2;
		padding: 10px;
	}
</style>