
var timeOut,
	old_id = 1,
	checkbox_info = [],
	de_checkbox_info	=	[],
	serverSlect = 'all',
	mouse = {
		getX: function(e)
		{
			if (e.pageX)
			{
				return e.pageX - (document.documentElement.scrollLeft || document.body.scrollLeft);
			}
			else if (e.clientX)
			{
				return e.clientX+(document.documentElement.scrollLeft || document.body.scrollLeft) - document.documentElement.clientLeft;
			}

			return 0;
		},
		
		getY: function(e)
		{
			if (e.pageY)
			{
				return e.pageY - (document.documentElement.scrollTop || document.body.scrollTop);
			}
			else if (e.clientY)
			{
				return e.clientY+(document.documentElement.scrollTop || document.body.scrollTop) - document.documentElement.clientTop;
			}

			return 0;
		}
	};

function _anim() {
	
	this.anim_enable = true;
	
	this.show = function( elem ) {
		elem.style.display = 'block';
	};
	
	this.hide = function( elem ) {
		elem.style.display = 'none';
	};
	
	this.image_update = function( elem ) {
		elem.src = elem.src.replace(/update=\d/, 'update=' + (Math.random() * 1000) . toFixed(0));
	};
	
	this.attenuation = function( elem ) {
		this.animations(elem, {time: 250, fps: 60}, [
			{css: "opacity", end: "", min: 0.1, max: 1.0}
		]);
	};
	
	//this.animations(menu, {time: 5000, fps: 30}, {{css: "marginTop", end: "px", min: 2, max: 5}});
	this.timers = new Array();
	this.animations = function( elem, speed, styles ) {
		if ( !this.anim_enable ) return 1;
		var elemid = 'id-' + elem.className + elem.nodeName + elem.id;
		
		if ( this.timers[elemid] != null ) {
			for ( var i = 0, Max = this.timers[elemid].length; i < Max; i ++ ) {
				clearInterval(this.timers[elemid][i]);
				this.timers[elemid][i] = null;
			}
		}
		
		this.timers[elemid] = new Array();
		
		var i = 0, _this = this;
		for ( var key in styles ) {
			
			var style = styles[key],
				time_delay = 1000 / speed.fps,
				delay = (style.max - style.min) / (speed.time / 1000 * speed.fps),
				progress = style.min;
			
			if ( style.min != false ) elem.style[style.css] = style.min + style.end;
			
			this.timers[elemid][i] = setInterval(function() {
				
				if ( style.max <= progress ) {
					elem.style[style.css] = style.max + style.end;
					clearInterval(_this.timers[elemid][i - 1]);
				} else {
					progress += delay;
					elem.style[style.css] = progress + style.end;
				}
				
			}, time_delay);
			
			i ++;
		}
	};
};
var shopAnim = new _anim();

function _alert() {
	this.alert_window_key = '';
	this.normalScreen = new Array(0, 0, 0, 0);
	
	this.alert_window_open = function( head, msg, width ) {
		
		var alert_w = document.getElementById('shopitem-' + 'lk-body-alert_window');
		
		if ( head != this.alert_window_key ) {
			alert_w.firstElementChild.firstElementChild.innerHTML = head;
			alert_w.lastElementChild.innerHTML = msg;
			alert_w.style.width = width + 'px';
			alert_w.style.left = (window.screen.width / 2 - width / 2) + 'px';
			alert_w.style.top = (window.screen.height / 2 - 300) + 'px';
			this.alert_window_key = head;
		}
		
		shopAnim.show(alert_w);
		shopAnim.show(document.getElementById('shopitem-' + 'alert_bg_dark'));
		this.alert_window = true;
	};
	
	this.alert_window_close = function() {
		
		var alert_w = document.getElementById('shopitem-' + 'lk-body-alert_window');
		
		shopAnim.hide(alert_w);
		shopAnim.hide(document.getElementById('shopitem-' + 'alert_bg_dark'));
		this.alert_window = false;
	};
	
	this.alert_window_fullscreen = function() {
		
		var alert_w = document.getElementById('shopitem-' + 'lk-body-alert_window');
		
		if ( this.normalScreen[0] == 0 ) {
			this.normalScreen[0] = alert_w.style.left;
			this.normalScreen[1] = alert_w.style.top;
			this.normalScreen[2] = alert_w.style.width;
			this.normalScreen[3] = alert_w.style.height;
			alert_w.style.left = '0px';
			alert_w.style.top = '0px';
			alert_w.style.width = window.screen.width + 'px';
			alert_w.style.height = window.screen.height + 'px';
		} else {
			alert_w.style.left = this.normalScreen[0];
			alert_w.style.top = this.normalScreen[1];
			alert_w.style.width = this.normalScreen[2];
			alert_w.style.height = this.normalScreen[3];
			this.normalScreen[0] = 0;
			this.normalScreen[1] = 0;
			this.normalScreen[2] = 0;
			this.normalScreen[3] = 0;
		}
	};
	
	this.alert_window_text = function(text) {
		
		document.getElementById('shopitem-' + 'lk-body-alert_window').lastElementChild.innerHTML = text;
	};
	
	this.alert_window_addtext = function(text) {
		
		document.getElementById('shopitem-' + 'lk-body-alert_window').lastElementChild.innerHTML += text;
	};
	
	this.alertMove = function(elem) {
		
		var alert = document.getElementById('shopitem-' + 'lk-body-alert_window'), _this = this;
		
		alert.style.opacity = '0.9';
		
		var W = Math.abs(mouse.getX(window.event) - alert.offsetLeft), H = Math.abs(mouse.getY(window.event) - alert.offsetTop);
		var wW = window.innerWidth
		|| document.documentElement.clientWidth
		|| document.body.clientWidth;
		var hW = window.innerHeight
		|| document.documentElement.clientHeight
		|| document.body.clientHeight;
		
		document.onmousemove = function(e) {
			if (!e) e = window.event;
			
			var X = mouse.getX(e) - W, Y = mouse.getY(e) - H;
			alert.style.left = X + 'px';
			alert.style.top = Y + 'px';	
		}
		
		alert.onmouseup = function() {
			document.onmousemove = null;
			alert.onmouseup = null;
			alert.style.opacity = '1.0';
		}
	};
};

var alertWindow = new _alert();

function showAlert_addBlockToBasket(info, path, enchants_text) {
	
	var fprice = (info.price - info.price / 100 * info.discount).toFixed(2);
	alertWindow.alert_window_open(info.name+' в корзину', '<div class="shopitem-shop-addBlock">\
		'+ (enchants_text != '' ? '<div class="shopitem-shop-addBlock-enchants"><b>Предмет зачарован на:</b><br/>'+ enchants_text +'</div>' : '') +'\
		<div class="shopitem-shop-addBlock-right">\
			<table>\
				<tr><td width="150"><b>Название</b></td><td>'+info.name+' '+(info.dep == -1 ? '(<a href="'+ (path_inc == '?s' ? '?' : path_inc + '&') +'shop='+ info.server +'&kit='+ info.id +'" target="_blank">Предметы</a>)' : '')+'</td></tr>\
				<tr><td><b>Цена <span class="shopitem-shop-cur-image" title="Реальные деньги"></span>'+ (priceIC ? '<span class="shopitem-shop-cur-iconomy-image" title="iConomy монеты"></span>' : '') +'</b></td><td>'+ fprice + curname + (priceIC ? '<span class="shopitem-shop-addBlock-moneyIC">(' + getMoneyICbyPrice(fprice) + ' монет)</span>' : '') +'\ за '+ info.amount +' шт.  '+ (info.discount > 0 ? '<b style="text-decoration:line-through">'+ info.price + curname +'</b>' : '') +'</td></tr>\
				<tr><td width="150"><b>Скидка</b></td><td>'+ (info.discount > 0 ? '<span class="shopitem-shop-discount-text">' + info.discount + '%' +' (До <b>'+ getDate(info.time_dis * 1000) + '</b>)</span>' : '0%') +'</td></tr>\
				<tr><td width="150"><b>Сервер</b></td><td>'+(info.server != "all" ? info.server : 'Все сервера')+'</td></tr>\
			</table>\
		</div>\
		<div class="shopitem-shop-addBlock-left" align="center"><img src="'+ path +'.png" width="60" height="60"/></div>\
		<div align="center">\
			<div class="shopitem-shop-addBlock-desc">'+ info.desc +'</div>\
			<input type="range" class="shopitem-enchant-range" onmousemove="this.nextElementSibling.innerHTML = \'Купить \'+ (this.value * '+ info.amount +') +\' шт. за <b>\'+ (this.value * '+ fprice +').toFixed(2) + curname +\'</b>\'" min="1" max="64" value="1">\
			<p>Укажите нужное количество</p>\
			<button class="shopitem-button" onclick="addBlockToBasket('+ info.id +', this.previousElementSibling.previousElementSibling.value); alertWindow.alert_window_close();">Добавить в корзину</button>\
		</div>\
	</div>', 700);
}

function getDate(date) {
	var now = new Date(date);
	return now.getDate() + '.' + (now.getMonth() + 1) + '.' + now.getFullYear() + ' ' + now.getHours() + ':' + now.getMinutes();
}

function getMoneyICbyPrice(money) {
	money = parseInt(money);
	return money * priceIC;
}

function addBlockToBasket(id, amount) {
	post('addBlockBasketID=' + id + '&amount=' + amount + '&server=' + serverSlect, 0, function(text){});
}

function changeServerForItem(id, itemid) {
	
	if ( !confirm('Вы действительно хотите перенести данный предмет на другой сервер?\n\nПоменять сервер предмету потом будет невозможно.') ) return false;
	
	post('changeServerItem='+ itemid +'&server=' + id.selectedIndex, 0, function(text) {
		
		if ( text.charAt(0) == 'В' )
		{
			id.disabled = true;
		}
		
	});
	
}

function deleteBlockId(id) {
	if ( !confirm('Удалить блок?') ) return false;
	post('deleteBlockID='+id, 0, function(text){});
}
function editBlockId(id) {
	msg('Блок #<b>'+id+'</b> <a href="'+ path_inc +'admin=editblock&id='+id+'" target="_blank">Редактировать</a> <a href="#" onclick="deleteBlockId('+id+')">Удалить</a>');
}
function checkbox_editBlocks(id) {
	var ids = '', count = 0;
	
	checkbox(id);
	for ( var key in checkbox_info ) {
		if ( checkbox_info[key] ) {
			ids += key + ',';
			count ++;
		}
	}
	if ( count > 1 ) {
		msg('<a href="'+ path_inc +'admin=editblock&id='+ids+'">Начать редактировать</a> '+ count +' предметов');
	} else {
		msg('Выделите <b>больше одного</b> предмета для массового редактирования.');
	}
}

function selectServerInBasket(id, serverid) {
	var block = document.getElementById('shopitem-basket-block-' + id);
	
	var arr = block.getAttribute('data-block').split('-');
	block.setAttribute('data-block', arr[0] + '-' + arr[1] + '-' + serverid);
	msg('Сервер изменен.');
}

function buySelectedBlock(typePay) {
	if ( !confirm('Вы действительно хотите купить эти предметы?') ) return false;
	if ( typePay == null ) typePay = 1;
	
	var buy = '';

	for ( var key in checkbox_info )
		if ( checkbox_info[key] ) buy += document.getElementById('shopitem-' + 'basket-block-'+key).getAttribute('data-block')+'|';
	
	if ( buy ) post('SelectedBlock=' + buy + '&buy=1&pay=' + typePay, 0, function(text) {
		if ( text.charAt(0) == 'П' ) 
		{
			var money = 0;
			
			for ( var key in checkbox_info )
			{
				if ( checkbox_info[key] )
				{
					var elem = document.getElementById('shopitem-' + 'basket-block-' + key);
					elem.style.display = 'none';
					var data = elem.getAttribute('data-block').split("-");
					money += parseInt(elem.getAttribute('data-price')) * parseInt(data[1]);
					deActiveCheckbox(key);
				}	
			}
			
			if ( typePay == 1 ) {
				document.getElementById('shopitem-' + 'money').innerHTML = (parseInt(document.getElementById('shopitem-' + 'money').innerHTML) - money);
			}
			document.getElementById('shopitem-' + 'givemoney').innerHTML = (parseInt(document.getElementById('shopitem-' + 'givemoney').innerHTML) - money);
			
			if ( priceIC ) {
				if ( typePay == 2 ) {
					document.getElementById('shopitem-' + 'moneyic').innerHTML = (parseInt(document.getElementById('shopitem-' + 'moneyic').innerHTML) - getMoneyICbyPrice(money));
				}
				document.getElementById('shopitem-' + 'givemoneyic').innerHTML = (parseInt(document.getElementById('shopitem-' + 'givemoneyic').innerHTML) - getMoneyICbyPrice(money));
			}
		}	
	}); else msg('Предметы не выделены.');
}

function deleteSelectedBlock() {
	if ( !confirm('Вы действительно хотите удалить эти предметы?') ) return false;
	var del = '';

	for ( var key in checkbox_info )
		if ( checkbox_info[key] ) del += document.getElementById('shopitem-' + 'basket-block-'+key).getAttribute('data-block')+'|';
		
	if ( del ) post('SelectedBlock='+del+'&buy=0', 0, function(text) {
		if ( text.charAt(0) == 'П' )
		{
			var money = 0;
			
			for ( var key in checkbox_info )
			{
				if ( checkbox_info[key] )
				{
					var elem = document.getElementById('shopitem-' + 'basket-block-' + key);
					elem.style.display = 'none';
					var data = elem.getAttribute('data-block').split('-');
					money += parseInt(elem.getAttribute('data-price')) * data[1];
					deActiveCheckbox(key);
				}
			}
			
			document.getElementById('shopitem-' + 'givemoney').innerHTML = (parseInt(document.getElementById('shopitem-' + 'givemoney').innerHTML) - money);
			if ( priceIC ) {
				document.getElementById('shopitem-' + 'givemoneyic').innerHTML = (parseInt(document.getElementById('shopitem-' + 'givemoneyic').innerHTML) - getMoneyICbyPrice(money));
			}
		}	
	}); else msg('Предметы не выделены.');
}

function openChest(buy) {
	if ( buy ) {
		if ( !confirm('Вы действительно хотите открыть этот сундук за ' + openChestMoney + curname + '?') ) {
			return false;
		} else if ( shopmoney < openChestMoney ) {
			return msg('Нет денег для открытия сундука платно.');
		}
	}
	
	var chest = document.getElementById('shopitem-chest'), _this = this;
	
	post('openChest=1&buy=' + buy, 0, function(text) {
		var json = JSON.parse(text);
		
		if ( json.status == 'success' ) {
			for ( var i = 0, Max = json.items.length - 1; i < Max; i ++ ) {
				var item = json.items[i];
				
				var elem = document.createElement('img');
				elem.src = json.items[i].path + '.png';
				elem.width = 25;
				elem.height = 25;
				elem.style.position = 'absolute';
				elem.style.zIndex = 999;
				elem.style.left = chest.offsetWidth / 2 - (Max / 2 * 27) + (27 * i) + 'px';
				elem.style.top = chest.offsetHeight / 2 + 'px';
				chest.appendChild(elem);
				/*
				var itemIMGrad = Math.random() * Math.PI;
				setInterval(function() {
					elem.style.top = (60.0 + Math.sin(itemIMGrad) * 30.0) + 'px';
					itemIMGrad += 2 * Math.PI / (4 * 60);
				}, 1000 / 60);*/
			}
			
			chest.classList.add('shopitem-chest-open');
			chest.classList.add('shopitem-chest-notactive');
			chest.classList.remove('shopitem-chest-close');
			if ( buy ) {
				msg('Куплено!');
			} else msg('Сундук открыт!');
		}
	});
	return 1;
} 

function transmitBlockId() {
	post('username='+document.getElementById('shopitem-' + 'username').value+'&transmitBlockId='+document.getElementById('shopitem-' + 'search-myblock').value+'&blockamount='+document.getElementById('shopitem-' + 'blockamount').value, 0, function(text){});
}

function addBlockPlayer() {
	post('username='+document.getElementById('shopitem-username').value+'&addBlockIdPlayer='+document.getElementById('shopitem-blockid').value+'&amount='+document.getElementById('shopitem-' + 'amount').value, 0, function(text){});
}

function clearTable() {
	if ( !confirm('Вы действительно хотите очистить таблицу?') ) return false;
	post('clearTable=1', 0, function(text){});
}

function showEditShop(id) {
	document.getElementById('shopitem-' + 'block-'+old_id).classList.add('shopitem-display_none');
	document.getElementById('shopitem-' + 'block-'+id).classList.remove('shopitem-display_none');
	old_id = id;
}

function editShop(type) {
	if ( !confirm('Вы действительно хотите это сделать?') ) return false;
	
	if ( type  == 1 ) {
		post('shopname='+document.getElementById('shopitem-' + 'shopname').value+'&shopname_in_copy='+document.getElementById('shopitem-' + 'shopname_in_copy').value, 0, function(text){});
	} else {
		post('clear_shopname='+document.getElementById('shopitem-' + 'clear_shopname').value, 0, function(text){});
	}
}

//Для ajax поиска
document.onclick = function(e) {
	if ( document.getElementById('shopitem-search-output').style.display != 'none' ) {
		shopAnim.hide(document.getElementById('shopitem-search-output'));
	}
}
function showSearchOutputList() {
	setTimeout(function() {
		shopAnim.show(document.getElementById('shopitem-search-output'));
		shopAnim.attenuation(document.getElementById('shopitem-search-output'));
	}, 50);
}
function searchBlock(id) {
	var output = document.getElementById(id + '-output');
	output.innerHTML = '<a class="shopitem-search-finding">Идет поиск...</a>';
	output.style.left = document.getElementById(id).offsetLeft + 'px';
	shopAnim.show(output);
	shopAnim.attenuation(output);
	post('id='+id+'&searchText='+document.getElementById(id).value, id +'-output', 0, function(text){});
}

function addTextInput(id, text) {
	document.getElementById(id).value = text;
}

function deActiveCheckbox(id) {
	checkbox_info[id] = false;
	de_checkbox_info[id] = true;
}

function checkbox(id) {
	if ( de_checkbox_info[id] == true ) {
		return 1;
	}
	
	document.getElementById('shopitem-checkbox-id-'+id).classList.toggle('shopitem-checkbox-active');
	
	if ( checkbox_info[id] )
		checkbox_info[id] = false; else checkbox_info[id] = true;
}

function checkboxAll(start, end) {
	for ( var i = start; i < end; i ++  ) checkbox(i);
}

function msg(text) {
	var alert = document.getElementById('shopitem-alert');
	
	alert.classList.remove('shopitem-display_none');
	alert.innerHTML = text;
	
	clearTimeout(timeOut);
	
	timeOut = setTimeout(function() {
		alert.classList.add('shopitem-display_none');
	}, 5000);	
}

function post(params, element, callback) {
	if ( !element ) msg('Подождите...');
	
	try {
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
		try {
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		} catch (ee) {
		}
	}
	if (typeof XMLHttpRequest != 'undefined') {
		xmlhttp = new XMLHttpRequest();
	}
	
	xmlhttp.open('POST', path + 'ajax.php', true);
	xmlhttp.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	
	xmlhttp.onreadystatechange = function() {
		if ( xmlhttp.readyState == 4 && xmlhttp.status == 200 )
			if ( xmlhttp.responseText ) 
				if ( !element ) {
					msg(xmlhttp.responseText);
					
					if ( callback != false )
						callback(xmlhttp.responseText);
				} else document.getElementById(element).innerHTML = xmlhttp.responseText;
			else msg('Ошибка.');		
	};
	
	xmlhttp.send(params + '&key=' + csrf_key);
}