<html>

	<head>
		<meta charset="utf-8">
		<link rel="stylesheet" type="text/css" href="<?php echo $cfg['shop_path']?>templates/universal/shop.css">
		<script type="text/javascript" src="<?php echo $cfg['shop_path']?>shop.js" charset="utf-8"></script>
		<script type="text/javascript">
			var curname = '<?php echo $cfg['shop_cur'][5]?>',
				priceIC = <?php echo $cfg['iConomy']['enable'] ? $cfg['iConomy']['price'] : 0?>,
				shopmoney = <?php echo $user['money']?>,
				openChestMoney = <?php echo $cfg['chest']['money']?>;
				
			var csrf_key = '<?php echo $user['csrf_key']?>',
				path = '<?php echo $cfg['shop_path']?>',
				path_inc = '<?php echo $cfg['shop_path_include'] ? str_replace('?', '#', $cfg['shop_path_include']) . '&' : '?'?>';
			
			path_inc = path_inc.replace("#", "?");
		</script>
	</head>
	
	<body>
		<div id="shopitem-alert_bg_dark" style="display: none" onclick="alertWindow.alert_window_close()"></div>
		<div id="shop" style="<?php echo ($cfg['shop_width'] ? 'width: '.$cfg['shop_width'].';' : '') . (!$cfg['css_background'] ? 'background: none'  : '')?>">
			<div id="shopitem-alert" class="<?php if(!$tpl['alert']) {?>shopitem-display_none<?php } ?>" onclick="this.classList.add('shopitem-display_none')" title="Кликните, чтобы закрыть сообщение."><?php echo $tpl['alert']?></div>
			<div id="shopitem-lk-body-alert_window" style="display: none">
				<div class="shopitem-lk-body-alert_window-head" onmousedown="alertWindow.alertMove(this)" onselectstart="return false">
					<span></span>
					
					<span style="float: right;">
						<span onclick="alertWindow.alert_window_fullscreen()" class="shopitem-button shopitem-lk-body-alert_window-head-icon" style="margin-right: 10px;">[]</span>
						<span onclick="alertWindow.alert_window_close()" class="shopitem-button shopitem-lk-body-alert_window-head-icon">X</span>
					</span>
				</div>
				<div class="shopitem-lk-body-alert_window-content"></div>
			</div>
			
			<div class="shopitem-head">
				<div class="shopitem-shopnav" align="center">
					<a href="?option=warehouse" <?php if(isset($_GET['option']) && $_GET['option']=='warehouse')echo'class="shopitem-shopnav-selected"'?>>Ваш склад</a>
					<a href="?option=basket" <?php if(isset($_GET['option']) && $_GET['option']=='basket')echo'class="shopitem-shopnav-selected"'?>>Ваша корзина</a>
					<a href="?option=history" <?php if(isset($_GET['option']) && $_GET['option']=='history')echo'class="shopitem-shopnav-selected"'?>>Ваша история</a>
					<?php if ( $cfg['chest']['enable'] ) { ?><a href="?option=chest" <?php if(isset($_GET['option']) && $_GET['option']=='chest')echo'class="shopitem-shopnav-selected"'?>>Сундук с сюрпризом</a><?php } ?>
				</div>
				<div class="shopitem-shopsearch" align="center">
					<input type="text" id="shopitem-search" onkeyup="searchBlock('shopitem-search')" onclick="showSearchOutputList()" placeholder="Поиск по предметам" autocomplete="off"/>
					<div id="shopitem-search-output" align="left" style="display: none"></div>
				</div>
				<div class="shopitem-shoplist" align="center">
					<h3>Выберите магазин</h3>
					<?php
						foreach( $cfg['server'] as $key => $val ) {
							if ( $val[1] ) {
								echo '<a href="?shop='.$key.'" '.(isset($_GET['shop']) && $key == $_GET['shop'] ? 'class="shopitem-shoplist-selected"' : '').'><span class="shopitem-shoplist-name">Магазин <b>'.$key.'</b></span><img class="shopitem-shoplist-img" src="'.$cfg['shop_path'].'blocks/'.$key.'.png" width="40" height="40"/></a>';
							}
						}
					?>
				</div>
				<?php if ( $user['user_group_admin'] ) { ?>
					<div class="shopitem-shopadmin" align="center">
						<b>Админ-функции</b><br/>
						<a href="?admin=addblock">Добавить блок</a>
						<a href="?admin=tables">Управление таблицами</a>
						<a href="?admin=players">Управление игроками</a>
						<a href="?admin=shops">Управление магазинами</a>
						<a href="?admin=disrand">Рандом скидка</a>
						<?php if(isset($_GET['shop'])) {?><a href="?shop=<?php echo $_GET['shop']?>&all=1">Вывести все предметы</a><?php } ?>
					</div>
				<?php } ?>
			</div>
			
			<div class="shopitem-content">
				<?php echo $tpl['content']?>
				<br clear="both"/>
			</div>
		</div>
	</body>
	
</html>